<?php
/*
 * The template for displaying comments part
*/
if ( post_password_required() )
	return;
?>	

	<div class="gt-comments">
		<?php if ( have_comments() ) {  ?>
			<div id="comments" class="gt-comment-list">
				<div class="gt-section-heading">
					<div class="gt-icon">
						<i class="fas fa-caret-right"></i>
					</div>
					<div class="gt-title">
						<span><?php printf( _nx( '1 Comment', '%1$s Comments', get_comments_number(), 'comments title', 'bianco' ), number_format_i18n( get_comments_number() ), '<span>' . get_the_title() . '</span>' ); ?></span>
					</div>
				</div>
				<ol>
					<?php

						if ( function_exists( 'bianco_comment' ) ) {
							$callback = 'bianco_comment';
						} else {
							$callback = '';
						}
						
						wp_list_comments( array(
							'style' => 'ol',
							'short_ping' => true,
							'avatar_size' => 100,
							'callback' => $callback,
							'reply_text' => '' . esc_html__( 'Reply', 'bianco' ),
						) );
					?>
				
					<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) { ?>
						<nav class="navigation comment-navigation" role="navigation">
							<h1 class="screen-reader-text section-heading"><?php esc_html_e( 'Comment Navigation', 'bianco' ); ?></h1>
							<div class="nav-previous"><?php previous_comments_link( esc_html__( '&larr; Older Comments', 'bianco' ) ); ?></div>
							<div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments &rarr;', 'bianco' ) ); ?></div>
						</nav>
					<?php } ?>

					<?php if ( ! comments_open() && get_comments_number() ) { ?>
						<p class="no-comments"><?php esc_html_e( 'Comments are closed.' , 'bianco' ); ?></p>
					<?php } ?>
				</ol>
			</div>
		<?php } ?>

		<div class="gt-comment-respond">
			<?php
				$comments_args = array(
					'id_form' => '',
					'id_submit' => '',
					'title_reply_before' => '',
					'title_reply_after' => '',
					'title_reply' => '<div class="gt-section-heading"> <div class="gt-icon"> <i class="fas fa-caret-right"></i> </div> <div class="gt-title"> <span>' . esc_html__( 'Leave a Comment', 'bianco' ) . '</span> </div> </div>',
					'title_reply_to' => '<div class="gt-section-heading"> <div class="gt-icon"> <i class="fas fa-caret-right"></i> </div> <div class="gt-title"> <span>' . esc_html__( 'Comment', 'bianco' ) . '</span> </div> </div>',
					'cancel_reply_link' => esc_html__( 'Cancel Reply', 'bianco'),
					'label_submit' => esc_html__( 'Post Comment', 'bianco'),
					'comment_field' => '<div class="form-textarea"><textarea placeholder="' . esc_html__( 'Your Comment', 'bianco' ) . '" name="comment" class="commentbody" id="comment" rows="4" tabindex="4"></textarea></div>',
					'comment_notes_before' => '',
					'fields' => apply_filters( 'comment_form_default_fields', array(
						'author' =>
							'<div class="form-inputs"><div class="item name"><input type="text" placeholder="' . esc_html__( 'Name', 'bianco' ) . '" name="author" id="author" value="' . esc_attr( $comment_author ) . '" size="22" tabindex="1"' . ( $req ? "aria-required='true'" : '' ). ' /></div>',

						'email' =>
							'<div class="item email"><input type="text" placeholder="' . esc_html__( 'Email', 'bianco' ) . '" name="email" id="email" value="' . esc_attr( $comment_author_email ) . '" size="22" tabindex="1"' . ( $req ? "aria-required='true'" : '' ). ' /></div>',

						'url' =>
							'<div class="item website"><input type="text" placeholder="' . esc_html__('Website URL', 'bianco') . '" name="url" id="url" value="' . esc_attr($comment_author_url) . '" size="22" tabindex="1" /></div></div>',
						)
					),
				);
				
				comment_form( $comments_args );
			?>
		</div>
	</div>