(function($) {
    "use strict";



    // === Loader ==================================== //
    function gt_loader_func() {
        var gt_loader = new TimelineMax();

        gt_loader.to(".gt-loader .gt-logo span", .6, {ease: Circ.easeOut, y:0, opacity:1, delay:0})
        gt_loader.to(".gt-loader .gt-logo span", .6, {ease: Circ.easeOut, y:-100, opacity:0, delay:1})
        gt_loader.to(".gt-loader .gt-stick:nth-child(3)", 1, {ease: Circ.easeOut, height:0})
        gt_loader.to(".gt-loader .gt-stick:nth-child(2)", 1, {ease: Circ.easeOut, height:0}, "-=.9")
        gt_loader.to(".gt-loader .gt-stick:nth-child(4)", 1, {ease: Circ.easeOut, height:0}, "-=.9")
        gt_loader.to(".gt-loader .gt-stick:nth-child(1)", 1, {ease: Circ.easeOut, height:0}, "-=.9")
        gt_loader.to(".gt-loader .gt-stick:nth-child(5)", 1, {ease: Circ.easeOut, height:0}, "-=.9")
        gt_loader.to(".gt-loader", 1, {ease: Circ.easeOut, opacity:0})
        gt_loader.set(".gt-loader", {visibility: 'hidden'});
    }
    gt_loader_func();



    // === Fixed Header ==================================== //
    function gt_header_fixed_func() {
        var gt_header_fixed = new TimelineMax({
            paused: !0,
            reversed: !0
        });

        gt_header_fixed.to('.gt-header-fixed', .5, {
            y:0,
            ease: Expo.easeOut
        });

        $(window).scroll(function(){
            if ($(this).scrollTop() > 300)
                gt_header_fixed.play();
            else
                gt_header_fixed.reverse();
        });
    }
    gt_header_fixed_func();



    // === Mobile Menu ==================================== //
    function gt_mobile_menu_func() {
        var gt_mobile_menu = new TimelineMax({
            paused: !0,
            reversed: !0
        });

        gt_mobile_menu.to('.gt-mobile-menu', .1, {
            visibility:'visible',
            opacity: '1'
        }).to('.gt-mobile-menu--close', .1, {
            visibility:'visible'
        }).to('.gt-mobile-menu--inner', .5, {
            right: 0,
            ease: Expo.easeOut
        });

        $('.gt-mobile-menu--open').on( "click", function() {
            $('body').addClass('gt-fixedPosition');
            gt_mobile_menu.play();
        });

        $('.gt-mobile-menu--close').on( "click", function() {
            $('body').removeClass('gt-fixedPosition');
            gt_mobile_menu.reverse();
        });

        $('.gt-mobile-menu-logo .gt-icon').on( "click", function() {
            $('body').removeClass('gt-fixedPosition');
            gt_mobile_menu.reverse();
        });
    }
    gt_mobile_menu_func();

    function gt_mobile_menu_dropdown_func() {
        $('.gt-mobile-menu-navbar .gt-r-icon').on('click',function(){

            var toggle = $(this).parent().parent().children('ul');

            if($(this).attr('data-click-state') == 1) {
                $(this).attr('data-click-state', 0);
                TweenLite.to(toggle, .6, {
                    className: "",
                    ease: Quint.easeOut
                });
            } else {
                $(this).attr('data-click-state', 1);
                TweenLite.to(toggle, .6, {
                    className:"gt_open",
                    ease: Quint.easeOut
                });
            }

        });
    }
    gt_mobile_menu_dropdown_func();



    // === Plyr.js ==================================== //
    const player = new Plyr('#gt-player');



    // === Slider ==================================== //
    function gt_slider() {
        $('.gt-swiper-slider').each( function() {
            var swiperDatas = $(this),
                var_speed = $(this).data('gt-speed'),
                var_direction = $(this).data('gt-direction'),
                var_auto_height = $(this).data('gt-auto-height'),
                var_effect = $(this).data('gt-effect'),
                var_slides_per_view = $(this).data('gt-item'),
                var_space_between = $(this).data('gt-item-space'),
                var_slides_per_column = $(this).data('gt-item-column'),
                var_centered_slides = $(this).data('gt-centered-slides'),
                var_grab_cursor = $(this).data('gt-grab-cursor'),
                var_free_mode = $(this).data('gt-free-mode'),
                var_loop = $(this).data('gt-loop'),
                var_pag = $(this).find('.swiper-pagination'),
                var_next = $(this).find('.gt-slider-next'),
                var_prev = $(this).find('.gt-slider-prev'),
                var_parallax = $(this).data('parallax');

            var swiper = new Swiper(swiperDatas, {
                speed: var_speed,
                direction: var_direction,
                autoHeight: var_auto_height,
                spaceBetween: var_space_between,
                slidesPerView: var_slides_per_view,
                slidesPerColumn: var_slides_per_column,
                centeredSlides: var_centered_slides,
                grabCursor: var_grab_cursor,
                freeMode: var_free_mode,
                loop: var_loop,
                parallax: var_parallax,
                effect: var_effect,
                pagination: {
                    el: var_pag,
                    type:'bullets',
                    clickable: true,
                },
                navigation: {
                    nextEl: var_next,
                    prevEl: var_prev,
                },
                breakpoints: {
                    1280: {
                        slidesPerView: var_slides_per_view < 5 ? var_slides_per_view: 4
                    },
                    1198: {
                        slidesPerView: var_slides_per_view < 4 ? var_slides_per_view: 3
                    },
                    991: {
                        slidesPerView: var_slides_per_view < 3 ? var_slides_per_view: 2
                    },
                    550: {
                        slidesPerView: var_slides_per_view < 2 ? var_slides_per_view: 1
                    }
                }
            });
        });
    }
    gt_slider();



    // === JScrollPane ==================================== //
    $('.scroll-pane').jScrollPane({
        autoReinitialise: true,
        horizontalGutter: 0,
        verticalGutter: 0
    });



})(jQuery);