<?php
/*======
*
* Customize Santanize
*
======*/
	include ( get_template_directory() . '/include/customize/types.php' );
	
	function bianco_santanize( $input ) {
		return $input;
	}



/*======
*
* Customize for Bianco
*
======*/
	function bianco_customizer( $wp_customize ) {
		/*======
		*
		* General Variables
		*
		======*/
		$bianco_capability = "";
		$bianco_transport = "refresh";
		$bianco_santanize = "bianco_santanize"; /* Santanize name */
		$google_font_api_key = "AIzaSyCzqULQqj6OmiSEI5pQ0Y-oMbMbCYlgKBo"; /* Google font API key */
		$google_font_amount = "all"; /* Font count */
		$google_font_cache_time = "50"; /* Font cache time */
		$wp_customize->register_control_type( 'Bianco_Customize_Control_Radio_Image' ); /* General radio image control */



		/*======
		*
		* General
		*
		======*/
		$wp_customize->add_panel( 'bianco_general', array(
			'title' => esc_html__( 'General', 'bianco' ),
			'description' => esc_html__( 'General settings of Bianco.', 'bianco' ),
			'priority' => 1,
			'sanitize_callback' => $bianco_santanize,
		) );



		/*======
		*
		* General
		*
		======*/
		$wp_customize->add_section( 'bianco_general', 
			array(
				'title' => esc_html__( 'General', 'bianco' ),
				'priority' => 2,
				'capability' => 'edit_theme_options',
				'description' => esc_html__( 'General settings for Bianco.', 'bianco' ),
				'sanitize_callback' => $bianco_santanize,
			)
		);

			/*====== General Sidebar ======*/
			$wp_customize->add_setting( 'bianco_general_sidebar_position',
				array(
					'default' => 'right-sidebar',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);
			
		    $wp_customize->add_control( new Bianco_Customize_Control_Radio_Image(  $wp_customize, 'bianco_general_sidebar_position',
	            array(
	                'label'    => esc_html__( 'Sidebar Position', 'bianco' ),
					'section' => 'bianco_general',
					'settings' => 'bianco_general_sidebar_position',
					'description' => esc_html__( 'You can choose general sidebar position', 'bianco' ),
	                'choices'  => array(
	                    'right-sidebar' => array(
	                        'label' => esc_html__( 'Right Sidebar', 'bianco' ),
	                        'url'   => '%s/include/customize/assets/img/sidebar/right-sidebar.svg'
	                    ),
	                    'left-sidebar' => array(
	                        'label' => esc_html__( 'Left Sidebar', 'bianco' ),
	                        'url'   => '%s/include/customize/assets/img/sidebar/left-sidebar.svg'
	                    ),
	                    'no-sidebar' => array(
	                        'label' => esc_html__( 'No Sidebar', 'bianco' ),
	                        'url'   => '%s/include/customize/assets/img/sidebar/no-sidebar.svg'
	                    )
	                ),
					'sanitize_callback' => $bianco_santanize,
	            )
	        ) );

			/*====== Fixed Sidebar ======*/
			$wp_customize->add_setting( 'bianco_fixed_sidebar',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, 'bianco_fixed_sidebar', 
				array(
					'label' => esc_html__( 'Fixed Sidebar', 'bianco' ),
					'section' => 'bianco_general',
					'settings' => 'bianco_fixed_sidebar',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose status of the fixed sidebar.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Loader ======*/
			$wp_customize->add_setting( 'bianco_loader',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, 'bianco_loader', 
				array(
					'label' => esc_html__( 'Loader', 'bianco' ),
					'section' => 'bianco_general',
					'settings' => 'bianco_loader',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose status of the loader.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Loader Logo ======*/
			$wp_customize->add_setting( 'bianco_loader_logo',
				array(
					'default' => '',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new WP_Customize_Media_Control( $wp_customize, 'bianco_loader_logo', 
				array(
					'label' => esc_html__( 'Loader Logo', 'bianco' ),
					'section' => 'bianco_general',
					'settings' => 'bianco_loader_logo',
					'mime_type' => 'image',
					'description' => esc_html__( 'You can upload logo for the loader.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );



		/*======
		*
		* Header
		*
		======*/
		$wp_customize->add_section( 'bianco_header', 
			array(
				'title' => esc_html__( 'Header', 'bianco' ),
				'priority' => 2,
				'capability' => 'edit_theme_options',
				'description' => esc_html__( 'Header settings for Bianco.', 'bianco' ),
				'sanitize_callback' => $bianco_santanize,
			)
		);

			/*====== Hide Header ======*/
			$wp_customize->add_setting( 'bianco_header_status',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, 'bianco_header_status', 
				array(
					'label' => esc_html__( 'Header', 'bianco' ),
					'section' => 'bianco_header',
					'settings' => 'bianco_header_status',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose status of the header from all site.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== General Header Style ======*/
			$wp_customize->add_setting( 'bianco_header_style',
				array(
					'default' => 'style-1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);
			
		    $wp_customize->add_control( new Bianco_Customize_Control_Radio_Image(  $wp_customize, 'bianco_header_style',
	            array(
	                'label'    => esc_html__( 'General Header Style', 'bianco' ),
					'section' => 'bianco_header',
					'settings' => 'bianco_header_style',
					'description' => esc_html__( 'You can choose header style for all site.', 'bianco' ),
	                'choices'  => array(
	                    'style-1' => array(
	                        'label' => esc_html__( 'Style 1', 'bianco' ),
	                        'url'   => '%s/include/customize/assets/img/header-style/style-1.svg',
	                    ),
	                    'style-2' => array(
	                        'label' => esc_html__( 'Style 2', 'bianco' ),
	                        'url'   => '%s/include/customize/assets/img/header-style/style-2.svg',
	                    ),
	                    'style-3' => array(
	                        'label' => esc_html__( 'Style 3', 'bianco' ),
	                        'url'   => '%s/include/customize/assets/img/header-style/style-3.svg',
	                    ),
	                ),
					'sanitize_callback' => $bianco_santanize,
	            )
	        ) );

			/*====== General Header Style ======*/
			$wp_customize->add_setting( 'bianco_header_general_position',
				array(
					'default' => 'position-2',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			/*====== Header Logo ======*/
			$wp_customize->add_setting( 'bianco_header_logo',
				array(
					'default' => '',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new WP_Customize_Media_Control( $wp_customize, 'bianco_header_logo', 
				array(
					'label' => esc_html__( 'Header Logo', 'bianco' ),
					'section' => 'bianco_header',
					'settings' => 'bianco_header_logo',
					'mime_type' => 'image',
					'description' => esc_html__( 'You can upload site logo for the header.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Header Logo Height ======*/
			$wp_customize->add_setting( 'bianco_header_logo_height',
				array(
					'default' => '40',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Range_Value_Control( $wp_customize, 'bianco_header_logo_height', 
				array(
					'label' => esc_html__( 'Header Logo Height', 'bianco' ),
					'section' => 'bianco_header',
					'settings' => 'bianco_header_logo_height',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter height for the header logo.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '650',
						'step'   => '1',
						'suffix' => 'px',
					),
				)
			) );

			/*====== Header Logo Width ======*/
			$wp_customize->add_setting( 'bianco_header_logo_width',
				array(
					'default' => '134',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Range_Value_Control( $wp_customize, 'bianco_header_logo_width', 
				array(
					'label' => esc_html__( 'Header Logo Width', 'bianco' ),
					'section' => 'bianco_header',
					'settings' => 'bianco_header_logo_width',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter width for the header logo.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '650',
						'step'   => '1',
						'suffix' => 'px',
					),
				)
			) );

			/*====== Fixed Header ======*/
			$wp_customize->add_setting( 'bianco_header_fixed',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, 'bianco_header_fixed', 
				array(
					'label' => esc_html__( 'Fixed Header', 'bianco' ),
					'section' => 'bianco_header',
					'settings' => 'bianco_header_fixed',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose fixed status of the header.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Social Media ======*/
			$wp_customize->add_setting( 'bianco_header_social_media',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, 'bianco_header_social_media', 
				array(
					'label' => esc_html__( 'Social Media', 'bianco' ),
					'section' => 'bianco_header',
					'settings' => 'bianco_header_social_media',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose status of the social media for the header.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Search ======*/
			$wp_customize->add_setting( 'bianco_header_search',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, 'bianco_header_search', 
				array(
					'label' => esc_html__( 'Search', 'bianco' ),
					'section' => 'bianco_header',
					'settings' => 'bianco_header_search',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose status of the search for the header.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Cart ======*/
			$wp_customize->add_setting( 'bianco_header_cart',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, 'bianco_header_cart', 
				array(
					'label' => esc_html__( 'Cart', 'bianco' ),
					'section' => 'bianco_header',
					'settings' => 'bianco_header_cart',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose status of the cart for the header.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Menu ======*/
			$wp_customize->add_setting( 'bianco_header_menu',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, 'bianco_header_menu', 
				array(
					'label' => esc_html__( 'Menu', 'bianco' ),
					'section' => 'bianco_header',
					'settings' => 'bianco_header_menu',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose status of the menu for the header.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Location ======*/
			$wp_customize->add_setting( 'bianco_header_location',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, 'bianco_header_location', 
				array(
					'label' => esc_html__( 'Location', 'bianco' ),
					'section' => 'bianco_header',
					'settings' => 'bianco_header_location',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose status of the location for the header.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );



		/*======
		*
		* Footer
		*
		======*/
		$wp_customize->add_section( 'bianco_footer', 
			array(
				'title' => esc_html__( 'Footer', 'bianco' ),
				'priority' => 3,
				'capability' => 'edit_theme_options',
				'description' => esc_html__( 'Footer settings for Bianco.', 'bianco' ),
				'sanitize_callback' => $bianco_santanize,
			)
		);

			/*====== Status ======*/
			$wp_customize->add_setting( 'bianco_footer_status',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, 'bianco_footer_status', 
				array(
					'label' => esc_html__( 'Footer', 'bianco' ),
					'section' => 'bianco_footer',
					'settings' => 'bianco_footer_status',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose status of the footer for all site.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Menu ======*/
			$wp_customize->add_setting( 'bianco_footer_menu',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, 'bianco_footer_menu', 
				array(
					'label' => esc_html__( 'Footer Menu', 'bianco' ),
					'section' => 'bianco_footer',
					'settings' => 'bianco_footer_menu',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose status of the footer menu for the footer.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Social Media ======*/
			$wp_customize->add_setting( 'bianco_footer_social_media',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, 'bianco_footer_social_media', 
				array(
					'label' => esc_html__( 'Social Media', 'bianco' ),
					'section' => 'bianco_footer',
					'settings' => 'bianco_footer_social_media',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose status of the social media for the footer.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Copyright Text ======*/
			$wp_customize->add_setting( 'bianco_copyright_text',
				array(
					'default' => '',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( 'bianco_copyright_text', 
				array(
					'label' => esc_html__( 'Copyright Text', 'bianco' ),
					'section' => 'bianco_footer',
					'settings' => 'bianco_copyright_text',
					'type' => 'text',
					'description' => esc_html__( 'You can enter the copyright text for the footer.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			);



		/*======
		*
		* Colors
		*
		======*/
		$wp_customize->add_section( 'colors', 
			array(
				'title' => esc_html__( 'Colors', 'bianco' ),
				'priority' => 4,
				'capability' => 'edit_theme_options',
				'description' => esc_html__( 'Color settings.', 'bianco' ),
				'sanitize_callback' => $bianco_santanize,
			)
		);

			/*====== Main Color ======*/
			$wp_customize->add_setting( 'bianco_main_color',
				array(
					'default' => '#FF6600',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'bianco_main_color', 
				array(
					'label' => esc_html__( 'Main Theme Color', 'bianco' ),
					'section' => 'colors',
					'settings' => 'bianco_main_color',
					'description' => esc_html__( 'You can choose main color of the theme.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Body Text Color ======*/
			$wp_customize->add_setting( 'bianco_body_text_color',
				array(
					'default' => '#333333',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'bianco_body_text_color', 
				array(
					'label' => esc_html__( 'Body Text Color', 'bianco' ),
					'section' => 'colors',
					'settings' => 'bianco_body_text_color',
					'description' => esc_html__( 'You can choose text color of the body.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Header Background ======*/
			$wp_customize->add_setting( 'bianco_header_background',
				array(
					'default' => '#FFFFFF',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'bianco_header_background', 
				array(
					'label' => esc_html__( 'Header Background', 'bianco' ),
					'section' => 'colors',
					'settings' => 'bianco_header_background',
					'description' => esc_html__( 'You can choose background of the header.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Header Menu Link Color ======*/
			$wp_customize->add_setting( 'bianco_header_menu_link_color',
				array(
					'default' => '#000000',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'bianco_header_menu_link_color', 
				array(
					'label' => esc_html__( 'Header Menu Link Color', 'bianco' ),
					'section' => 'colors',
					'settings' => 'bianco_header_menu_link_color',
					'description' => esc_html__( 'You can choose color of the header menu links.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Header Dropdown Background ======*/
			$wp_customize->add_setting( 'bianco_header_dropdown_background',
				array(
					'default' => '#FFFFFF',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'bianco_header_dropdown_background', 
				array(
					'label' => esc_html__( 'Header Dropdown Background', 'bianco' ),
					'section' => 'colors',
					'settings' => 'bianco_header_dropdown_background',
					'description' => esc_html__( 'You can choose background color of the header dropdown menu.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Widget Title Background ======*/
			$wp_customize->add_setting( 'bianco_widget_title_background',
				array(
					'default' => '#F2F0FA',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'bianco_widget_title_background', 
				array(
					'label' => esc_html__( 'Widget Title Background', 'bianco' ),
					'section' => 'colors',
					'settings' => 'bianco_widget_title_background',
					'description' => esc_html__( 'You can choose background of the widget titles.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Widget Title Color ======*/
			$wp_customize->add_setting( 'bianco_widget_title_color',
				array(
					'default' => '#000000',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'bianco_widget_title_color', 
				array(
					'label' => esc_html__( 'Widget Title Color', 'bianco' ),
					'section' => 'colors',
					'settings' => 'bianco_widget_title_color',
					'description' => esc_html__( 'You can choose color of the widget titles.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Section Heading Background ======*/
			$wp_customize->add_setting( 'bianco_section_heading_background',
				array(
					'default' => '#F2F0FA',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'bianco_section_heading_background', 
				array(
					'label' => esc_html__( 'Section Heading Background', 'bianco' ),
					'section' => 'colors',
					'settings' => 'bianco_section_heading_background',
					'description' => esc_html__( 'You can choose background of the section headings.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Section Heading Text Color ======*/
			$wp_customize->add_setting( 'bianco_section_heading_text_color',
				array(
					'default' => '#000000',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'bianco_section_heading_text_color', 
				array(
					'label' => esc_html__( 'Section Heading Color', 'bianco' ),
					'section' => 'colors',
					'settings' => 'bianco_section_heading_text_color',
					'description' => esc_html__( 'You can choose text color of the section headings.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Post Text Color ======*/
			$wp_customize->add_setting( 'bianco_post_text_color',
				array(
					'default' => '#333333',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'bianco_post_text_color', 
				array(
					'label' => esc_html__( 'Post Text Color', 'bianco' ),
					'section' => 'colors',
					'settings' => 'bianco_post_text_color',
					'description' => esc_html__( 'You can choose color of the post texts.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Post Tag Hover Background ======*/
			$wp_customize->add_setting( 'bianco_post_tag_hover_background',
				array(
					'default' => '#F2F0FA',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'bianco_post_tag_hover_background', 
				array(
					'label' => esc_html__( 'Tag Hover Background', 'bianco' ),
					'section' => 'colors',
					'settings' => 'bianco_post_tag_hover_background',
					'description' => esc_html__( 'You can choose background of the post tags.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Tags Widget Links Background ======*/
			$wp_customize->add_setting( 'bianco_tags_widget_links_background',
				array(
					'default' => '#F2F0FA',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'bianco_tags_widget_links_background', 
				array(
					'label' => esc_html__( 'Tags Widget Link Background', 'bianco' ),
					'section' => 'colors',
					'settings' => 'bianco_tags_widget_links_background',
					'description' => esc_html__( 'You can choose background of the tags widget links.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Custom Gradient Background ======*/
			$wp_customize->add_setting( 'bianco_custom_gradient_background',
				array(
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( 'bianco_custom_gradient_background', 
				array(
					'label' => esc_html__( 'Custom Gradient Background', 'bianco' ),
					'section' => 'colors',
					'settings' => 'bianco_custom_gradient_background',
					'description' => esc_html__( 'You can enter a custom gradient code.', 'bianco' ),
					'type' => 'textarea',
					'sanitize_callback' => $bianco_santanize,
				)
			);



		/*======
		*
		* Typography
		*
		======*/
		$wp_customize->add_section( 'bianco_typography', 
			array(
				'title' => esc_html__( 'Typography', 'bianco' ),
				'priority' => 5,
				'capability' => 'edit_theme_options',
				'description' => esc_html__( 'Typography settings.', 'bianco' ),
				'sanitize_callback' => $bianco_santanize,
			)
		);

			/*====== Latin Extended ======*/
			$wp_customize->add_setting( 'bianco_typography_latin_extended',
				array(
					'default' => '',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, 'bianco_typography_latin_extended', 
				array(
					'label' => esc_html__( 'Latin Extended', 'bianco' ),
					'section' => 'bianco_typography',
					'settings' => 'bianco_typography_latin_extended',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose character status of Latin Extended.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Cyrillic Extended ======*/
			$wp_customize->add_setting( 'bianco_typography_cyrillic_extended',
				array(
					'default' => '',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, 'bianco_typography_cyrillic_extended', 
				array(
					'label' => esc_html__( 'Cyrillic & Cyrillic Extended', 'bianco' ),
					'section' => 'bianco_typography',
					'settings' => 'bianco_typography_cyrillic_extended',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose character status of Cyrillic Extended.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Greek Extended ======*/
			$wp_customize->add_setting( 'bianco_typography_greek_extended',
				array(
					'default' => '',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, 'bianco_typography_greek_extended', 
				array(
					'label' => esc_html__( 'Greek & Greek Extended', 'bianco' ),
					'section' => 'bianco_typography',
					'settings' => 'bianco_typography_greek_extended',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose character status of Greek Extended.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Font Weights ======*/
			$wp_customize->add_setting( 'bianco_font_weights',
				array(
					'default' => '100,100italic,200,200italic,300,300italic,400,400italic,500,500italic,600,600italic,700,700italic,800,800italic,900,900italic',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( 'bianco_font_weights', 
				array(
					'label' => esc_html__( 'Font Weights', 'bianco' ),
					'section' => 'bianco_typography',
					'settings' => 'bianco_font_weights',
					'description' => esc_html__( 'You can enter custom font weights.', 'bianco' ),
					'type' => 'text',
					'sanitize_callback' => $bianco_santanize,
				)
			);

			/*====== Main Font ======*/
			$wp_customize->add_setting( 'bianco_typography_main_font',
				array(
					'default' => 'Roboto',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customize_Google_Fonts_Control( $wp_customize, 'bianco_typography_main_font', 
				array(
					'label' => esc_html__( 'Main Font', 'bianco' ),
					'section' => 'bianco_typography',
					'settings' => 'bianco_typography_main_font',
					'description' => esc_html__( 'You can choose a main font for the theme.', 'bianco' ),
					'api_key' => $google_font_api_key,
					'amount' => $google_font_amount,
					'cache_time'  => $google_font_cache_time,
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Heading Font ======*/
			$wp_customize->add_setting( 'bianco_typography_heading_font',
				array(
					'default' => 'Roboto',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customize_Google_Fonts_Control( $wp_customize, 'bianco_typography_heading_font', 
				array(
					'label' => esc_html__( 'Heading Font', 'bianco' ),
					'section' => 'bianco_typography',
					'settings' => 'bianco_typography_heading_font',
					'description' => esc_html__( 'You can choose a heading font for the theme.', 'bianco' ),
					'api_key' => $google_font_api_key,
					'amount' => $google_font_amount,
					'cache_time'  => $google_font_cache_time,
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Content Font ======*/
			$wp_customize->add_setting( 'bianco_typography_content_font',
				array(
					'default' => 'Merriweather',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customize_Google_Fonts_Control( $wp_customize, 'bianco_typography_content_font', 
				array(
					'label' => esc_html__( 'Content Font', 'bianco' ),
					'section' => 'bianco_typography',
					'settings' => 'bianco_typography_content_font',
					'description' => esc_html__( 'You can choose a content font of the theme.', 'bianco' ),
					'api_key' => $google_font_api_key,
					'amount' => $google_font_amount,
					'cache_time'  => $google_font_cache_time,
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== HTML Font Size ======*/
			$wp_customize->add_setting( 'bianco_typography_html_font_size',
				array(
					'default' => '16',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Range_Value_Control( $wp_customize, 'bianco_typography_html_font_size', 
				array(
					'label' => esc_html__( 'HTML Font Size', 'bianco' ),
					'section' => 'bianco_typography',
					'settings' => 'bianco_typography_html_font_size',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter custom font size for HTML tag.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '150',
						'step'   => '1',
						'suffix' => 'px',
					),
				)
			) );

			/*====== Body Font Size ======*/
			$wp_customize->add_setting( 'bianco_typography_body_font_size',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Range_Value_Control( $wp_customize, 'bianco_typography_body_font_size', 
				array(
					'label' => esc_html__( 'Body Font Size', 'bianco' ),
					'section' => 'bianco_typography',
					'settings' => 'bianco_typography_body_font_size',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter custom font size for body.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '150',
						'step'   => '0.1',
						'suffix' => 'rem',
					),
				)
			) );

			/*====== H1 Font Size ======*/
			$wp_customize->add_setting( 'bianco_typography_h1_font_size',
				array(
					'default' => '2.5',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Range_Value_Control( $wp_customize, 'bianco_typography_h1_font_size', 
				array(
					'label' => esc_html__( 'H1 Font Size', 'bianco' ),
					'section' => 'bianco_typography',
					'settings' => 'bianco_typography_h1_font_size',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter custom font size for H1.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '150',
						'step'   => '0.1',
						'suffix' => 'rem',
					),
				)
			) );

			/*====== H2 Font Size ======*/
			$wp_customize->add_setting( 'bianco_typography_h2_font_size',
				array(
					'default' => '2',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Range_Value_Control( $wp_customize, 'bianco_typography_h2_font_size', 
				array(
					'label' => esc_html__( 'H2 Font Size', 'bianco' ),
					'section' => 'bianco_typography',
					'settings' => 'bianco_typography_h2_font_size',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter custom font size for H2.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '150',
						'step'   => '0.1',
						'suffix' => 'rem',
					),
				)
			) );

			/*====== H3 Font Size ======*/
			$wp_customize->add_setting( 'bianco_typography_h3_font_size',
				array(
					'default' => '1.75',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Range_Value_Control( $wp_customize, 'bianco_typography_h3_font_size', 
				array(
					'label' => esc_html__( 'H3 Font Size', 'bianco' ),
					'section' => 'bianco_typography',
					'settings' => 'bianco_typography_h3_font_size',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter custom font size for H3.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '150',
						'step'   => '0.1',
						'suffix' => 'rem',
					),
				)
			) );

			/*====== H4 Font Size ======*/
			$wp_customize->add_setting( 'bianco_typography_h4_font_size',
				array(
					'default' => '1.5',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Range_Value_Control( $wp_customize, 'bianco_typography_h4_font_size', 
				array(
					'label' => esc_html__( 'H4 Font Size', 'bianco' ),
					'section' => 'bianco_typography',
					'settings' => 'bianco_typography_h4_font_size',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter custom font size for H4.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '150',
						'step'   => '0.1',
						'suffix' => 'rem',
					),
				)
			) );

			/*====== H5 Font Size ======*/
			$wp_customize->add_setting( 'bianco_typography_h5_font_size',
				array(
					'default' => '1.25',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Range_Value_Control( $wp_customize, 'bianco_typography_h5_font_size', 
				array(
					'label' => esc_html__( 'H5 Font Size', 'bianco' ),
					'section' => 'bianco_typography',
					'settings' => 'bianco_typography_h5_font_size',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter custom font size for H5.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '150',
						'step'   => '0.1',
						'suffix' => 'rem',
					),
				)
			) );

			/*====== H6 Font Size ======*/
			$wp_customize->add_setting( 'bianco_typography_h6_font_size',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Range_Value_Control( $wp_customize, 'bianco_typography_h6_font_size', 
				array(
					'label' => esc_html__( 'H6 Font Size', 'bianco' ),
					'section' => 'bianco_typography',
					'settings' => 'bianco_typography_h6_font_size',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter custom font size for H6.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '150',
						'step'   => '0.1',
						'suffix' => 'rem',
					),
				)
			) );

			/*====== Inputs Font Size ======*/
			$wp_customize->add_setting( 'bianco_typography_input_font_size',
				array(
					'default' => '0.9231',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Range_Value_Control( $wp_customize, 'bianco_typography_input_font_size', 
				array(
					'label' => esc_html__( 'Input Font Size', 'bianco' ),
					'section' => 'bianco_typography',
					'settings' => 'bianco_typography_input_font_size',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter custom font size for inputs.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '150',
						'step'   => '0.1',
						'suffix' => 'rem',
					),
				)
			) );

			/*====== Buttons Font Size ======*/
			$wp_customize->add_setting( 'bianco_typography_button_font_size',
				array(
					'default' => '0.6875',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Range_Value_Control( $wp_customize, 'bianco_typography_button_font_size', 
				array(
					'label' => esc_html__( 'Button Font Size', 'bianco' ),
					'section' => 'bianco_typography',
					'settings' => 'bianco_typography_button_font_size',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter custom font size for buttons.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '150',
						'step'   => '0.1',
						'suffix' => 'rem',
					),
				)
			) );

			/*====== Post Content Font Size ======*/
			$wp_customize->add_setting( 'bianco_typography_post_content_font_size',
				array(
					'default' => '1.125',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Range_Value_Control( $wp_customize, 'bianco_typography_post_content_font_size', 
				array(
					'label' => esc_html__( 'Post Content Font Size', 'bianco' ),
					'section' => 'bianco_typography',
					'settings' => 'bianco_typography_post_content_font_size',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter custom font size for the post content text.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '150',
						'step'   => '0.1',
						'suffix' => 'rem',
					),
				)
			) );

			/*====== Page Content Font Size ======*/
			$wp_customize->add_setting( 'bianco_typography_page_content_font_size',
				array(
					'default' => '1.125',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Range_Value_Control( $wp_customize, 'bianco_typography_page_content_font_size', 
				array(
					'label' => esc_html__( 'Page Content Font Size', 'bianco' ),
					'section' => 'bianco_typography',
					'settings' => 'bianco_typography_page_content_font_size',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter custom font size for the page content text.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '150',
						'step'   => '0.1',
						'suffix' => 'rem',
					),
				)
			) );

			/*====== Typekit Kit ID ======*/
			$wp_customize->add_setting( 'bianco_typekit_kit_id',
				array(
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( 'bianco_typekit_kit_id', 
				array(
					'label' => esc_html__( 'Typekit Kit ID', 'bianco' ),
					'section' => 'bianco_typography',
					'settings' => 'bianco_typekit_kit_id',
					'description' => esc_html__( 'You can enter Typekit Kit ID.', 'bianco' ),
					'type' => 'text',
					'sanitize_callback' => $bianco_santanize,
				)
			);

			/*====== Typekit Font Names ======*/
			$wp_customize->add_setting( 'bianco_typekit_font_names',
				array(
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( 'bianco_typekit_font_names', 
				array(
					'label' => esc_html__( 'Typekit Font Names', 'bianco' ),
					'section' => 'bianco_typography',
					'settings' => 'bianco_typekit_font_names',
					'description' => esc_html__( 'You can enter font names. Separate with commas. Example: Font 1, Font 2, Font 3.', 'bianco' ),
					'type' => 'text',
					'sanitize_callback' => $bianco_santanize,
				)
			);



		/*======
		*
		* Posts
		*
		======*/
		$wp_customize->add_section( 'bianco_posts', 
			array(
				'title' => esc_html__( 'Posts', 'bianco' ),
				'priority' => 9,
				'capability' => 'edit_theme_options',
				'description' => esc_html__( 'Post settings.', 'bianco' ),
				'sanitize_callback' => $bianco_santanize,
			)
		);

		/*====== Sidebar Position ======*/
			$wp_customize->add_setting( 'bianco_posts_sidebar_position',
				array(
					'default' => 'no-sidebar',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);
			
		    $wp_customize->add_control( new Bianco_Customize_Control_Radio_Image(  $wp_customize, 'bianco_posts_sidebar_position',
	            array(
	                'label'    => esc_html__( 'Post Sidebar Position', 'bianco' ),
					'section' => 'bianco_posts',
					'settings' => 'bianco_posts_sidebar_position',
					'description' => esc_html__( 'You can choose default sidebar position for posts.', 'bianco' ),
	                'choices'  => array(
	                    'right-sidebar' => array(
	                        'label' => esc_html__( 'Right Sidebar', 'bianco' ),
	                        'url'   => '%s/include/customize/assets/img/sidebar/right-sidebar.svg'
	                    ),
	                    'left-sidebar' => array(
	                        'label' => esc_html__( 'Left Sidebar', 'bianco' ),
	                        'url'   => '%s/include/customize/assets/img/sidebar/left-sidebar.svg'
	                    ),
	                    'no-sidebar' => array(
	                        'label' => esc_html__( 'No Sidebar', 'bianco' ),
	                        'url'   => '%s/include/customize/assets/img/sidebar/no-sidebar.svg'
	                    )
	                ),
					'sanitize_callback' => $bianco_santanize,
	            )
	        ) );

			/*====== Sidebar ======*/
			$wp_customize->add_setting( 'bianco_posts_sidebar',
				array(
					'default' => '',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);
			
		    $wp_customize->add_control( new Bianco_Sidebar_Dropdown_Custom_Control(  $wp_customize, 'bianco_posts_sidebar',
	            array(
	                'label'    => esc_html__( 'Post Sidebar', 'bianco' ),
					'section' => 'bianco_posts',
					'settings' => 'bianco_posts_sidebar',
					'description' => esc_html__( 'You can choose default sidebar for posts.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
	            )
	        ) );

			/*====== Featured Header ======*/
			$wp_customize->add_setting( 'bianco_posts_featured_header',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, 'bianco_posts_featured_header', 
				array(
					'label' => esc_html__( 'Featured Header', 'bianco' ),
					'section' => 'bianco_posts',
					'settings' => 'bianco_posts_featured_header',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose status of the featured header for the posts.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Tags ======*/
			$wp_customize->add_setting( 'bianco_posts_tags',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, 'bianco_posts_tags', 
				array(
					'label' => esc_html__( 'Tags', 'bianco' ),
					'section' => 'bianco_posts',
					'settings' => 'bianco_posts_tags',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose status of the tags for the posts.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Social Share ======*/
			$wp_customize->add_setting( 'bianco_posts_social_share',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, 'bianco_posts_social_share', 
				array(
					'label' => esc_html__( 'Social Share', 'bianco' ),
					'section' => 'bianco_posts',
					'settings' => 'bianco_posts_social_share',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose status of the social share for the posts.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Author Info ======*/
			$wp_customize->add_setting( 'bianco_posts_author_info',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, 'bianco_posts_author_info', 
				array(
					'label' => esc_html__( 'Author Info', 'bianco' ),
					'section' => 'bianco_posts',
					'settings' => 'bianco_posts_author_info',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose status of the author info for the posts.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Social Media of the Author ======*/
			$wp_customize->add_setting( 'bianco_posts_author_info_social_media',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, 'bianco_posts_author_info_social_media', 
				array(
					'label' => esc_html__( 'Social Media of the Author Info', 'bianco' ),
					'section' => 'bianco_posts',
					'settings' => 'bianco_posts_author_info_social_media',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose status of the social media for the author info.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Posts of the Author ======*/
			$wp_customize->add_setting( 'bianco_posts_author_info_posts',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, 'bianco_posts_author_info_posts', 
				array(
					'label' => esc_html__( 'Posts of the Author Info', 'bianco' ),
					'section' => 'bianco_posts',
					'settings' => 'bianco_posts_author_info_posts',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose status of the posts for the author info.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Post Count of Author on Author Info ======*/
			$wp_customize->add_setting( 'bianco_posts_author_info_posts_count',
				array(
					'default' => '3',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Range_Value_Control( $wp_customize, 'bianco_posts_author_info_posts_count', 
				array(
					'label' => esc_html__( 'Post Count for the Author Info', 'bianco' ),
					'section' => 'bianco_posts',
					'settings' => 'bianco_posts_author_info_posts_count',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter post count for the author info.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '10',
						'step'   => '1',
						'suffix' => '',
					),
				)
			) );

			/*====== Related Posts ======*/
			$wp_customize->add_setting( 'bianco_posts_related_posts',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, 'bianco_posts_related_posts', 
				array(
					'label' => esc_html__( 'Related Posts', 'bianco' ),
					'section' => 'bianco_posts',
					'settings' => 'bianco_posts_related_posts',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose status of the related posts for the posts.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Post Count of the Related Posts ======*/
			$wp_customize->add_setting( 'bianco_posts_related_posts_count',
				array(
					'default' => '3',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Range_Value_Control( $wp_customize, 'bianco_posts_related_posts_count', 
				array(
					'label' => esc_html__( 'Post Count of the Related Posts', 'bianco' ),
					'section' => 'bianco_posts',
					'settings' => 'bianco_posts_related_posts_count',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter post count for the related posts.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '10',
						'step'   => '1',
						'suffix' => '',
					),
				)
			) );

			/*====== Post Navigation ======*/
			$wp_customize->add_setting( 'bianco_posts_post_navigation',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, 'bianco_posts_post_navigation', 
				array(
					'label' => esc_html__( 'Post Navigation', 'bianco' ),
					'section' => 'bianco_posts',
					'settings' => 'bianco_posts_post_navigation',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose status of the post navigation for the posts.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );

			/*====== Comments ======*/
			$wp_customize->add_setting( 'bianco_posts_comments',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, 'bianco_posts_comments', 
				array(
					'label' => esc_html__( 'Comments', 'bianco' ),
					'section' => 'bianco_posts',
					'settings' => 'bianco_posts_comments',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose status of the comments for the posts.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );



		/*======
		*
		* Pages
		*
		======*/
		$wp_customize->add_section( 'bianco_pages', 
			array(
				'title' => esc_html__( 'Pages', 'bianco' ),
				'priority' => 10,
				'capability' => 'edit_theme_options',
				'description' => esc_html__( 'Page settings.', 'bianco' ),
				'sanitize_callback' => $bianco_santanize,
			)
		);

			/*====== Page Sidebar Position ======*/
			$wp_customize->add_setting( 'bianco_pages_sidebar_position',
				array(
					'default' => 'no-sidebar',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);
			
		    $wp_customize->add_control( new Bianco_Customize_Control_Radio_Image(  $wp_customize, 'bianco_pages_sidebar_position',
	            array(
	                'label'    => esc_html__( 'Page Sidebar Position', 'bianco' ),
					'section' => 'bianco_pages',
					'settings' => 'bianco_pages_sidebar_position',
					'description' => esc_html__( 'You can choose a default sidebar position for the pages.', 'bianco' ),
	                'choices'  => array(
	                    'right-sidebar' => array(
	                        'label' => esc_html__( 'Right Sidebar', 'bianco' ),
	                        'url'   => '%s/include/customize/assets/img/sidebar/right-sidebar.svg'
	                    ),
	                    'left-sidebar' => array(
	                        'label' => esc_html__( 'Left Sidebar', 'bianco' ),
	                        'url'   => '%s/include/customize/assets/img/sidebar/left-sidebar.svg'
	                    ),
	                    'no-sidebar' => array(
	                        'label' => esc_html__( 'No Sidebar', 'bianco' ),
	                        'url'   => '%s/include/customize/assets/img/sidebar/no-sidebar.svg'
	                    )
	                ),
					'sanitize_callback' => $bianco_santanize,
	            )
	        ) );

			/*====== Page Sidebar ======*/
			$wp_customize->add_setting( 'bianco_pages_sidebar',
				array(
					'default' => '',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);
			
		    $wp_customize->add_control( new Bianco_Sidebar_Dropdown_Custom_Control(  $wp_customize, 'bianco_pages_sidebar',
	            array(
	                'label'    => esc_html__( 'Page Sidebar', 'bianco' ),
					'section' => 'bianco_pages',
					'settings' => 'bianco_pages_sidebar',
					'description' => esc_html__( 'You can choose a default sidebar for the pages.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
	            )
	        ) );

			/*====== Comments ======*/
			$wp_customize->add_setting( 'bianco_pages_comments',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);

			$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, 'bianco_pages_comments', 
				array(
					'label' => esc_html__( 'Comments', 'bianco' ),
					'section' => 'bianco_pages',
					'settings' => 'bianco_pages_comments',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose status of the comments for the pages.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				)
			) );



		/*======
		*
		* Archives
		*
		======*/
		$wp_customize->add_panel( 'bianco_archives', array(
			'title' => esc_html__( 'Archives & Categories', 'bianco' ),
			'description' => esc_html__( 'Archive and category settings.', 'bianco' ),
			'priority' => 11,
			'sanitize_callback' => $bianco_santanize,
		) );

			/*====== Category ======*/
			$wp_customize->add_section( 'bianco_categories', 
				array(
					'title' => esc_html__( 'Categories', 'bianco' ),
					'priority' => 1,
					'capability' => 'edit_theme_options',
					'description' => esc_html__( 'Category archives settings.', 'bianco' ),
					'panel' => 'bianco_archives',
					'sanitize_callback' => $bianco_santanize,
				)
			);

				/*====== Category Sidebar Position ======*/
				$wp_customize->add_setting( 'bianco_categories_sidebar_position',
					array(
						'default' => 'right-sidebar',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $bianco_transport,
						'sanitize_callback' => $bianco_santanize,
					)
				);
				
			    $wp_customize->add_control( new Bianco_Customize_Control_Radio_Image(  $wp_customize, 'bianco_categories_sidebar_position',
		            array(
		                'label'    => esc_html__( 'Sidebar Position', 'bianco' ),
						'section' => 'bianco_categories',
						'settings' => 'bianco_categories_sidebar_position',
						'description' => esc_html__( 'You can choose a sidebar position for the categories.', 'bianco' ),
		                'choices'  => array(
		                    'right-sidebar' => array(
		                        'label' => esc_html__( 'Right Sidebar', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/right-sidebar.svg'
		                    ),
		                    'left-sidebar' => array(
		                        'label' => esc_html__( 'Left Sidebar', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/left-sidebar.svg'
		                    ),
		                    'no-sidebar' => array(
		                        'label' => esc_html__( 'No Sidebar', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/no-sidebar.svg'
		                    )
		                ),
						'sanitize_callback' => $bianco_santanize,
		            )
		        ) );

				/*====== Category Sidebar ======*/
				$wp_customize->add_setting( 'bianco_categories_sidebar',
					array(
						'default' => '',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $bianco_transport,
						'sanitize_callback' => $bianco_santanize,
					)
				);
				
			    $wp_customize->add_control( new Bianco_Sidebar_Dropdown_Custom_Control(  $wp_customize, 'bianco_categories_sidebar',
		            array(
		                'label'    => esc_html__( 'Sidebar', 'bianco' ),
						'section' => 'bianco_categories',
						'settings' => 'bianco_categories_sidebar',
						'description' => esc_html__( 'You can choose a sidebar for the categories.', 'bianco' ),
						'sanitize_callback' => $bianco_santanize,
		            )
		        ) );

				/*====== Category Post Style ======*/
				$wp_customize->add_setting( 'bianco_categories_post_style',
					array(
						'default' => 'style-1',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $bianco_transport,
						'sanitize_callback' => $bianco_santanize,
					)
				);
				
			    $wp_customize->add_control( new Bianco_Customize_Control_Radio_Image(  $wp_customize, 'bianco_categories_post_style',
		            array(
		                'label'    => esc_html__( 'Post Style', 'bianco' ),
						'section' => 'bianco_categories',
						'settings' => 'bianco_categories_post_style',
						'description' => esc_html__( 'You can choose a post style for the categories.', 'bianco' ),
		                'choices'  => array(
		                    'style-1' => array(
		                        'label' => esc_html__( 'Style 1', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/post-style/style-1.svg'
		                    ),
		                    'style-2' => array(
		                        'label' => esc_html__( 'Style 2', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/post-style/style-2.svg'
		                    ),
		                    'style-3' => array(
		                        'label' => esc_html__( 'Style 3', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/post-style/style-3.svg'
		                    ),
		                ),
						'sanitize_callback' => $bianco_santanize,
		            )
		        ) );



			/*====== Tag ======*/
			$wp_customize->add_section( 'bianco_tags', 
				array(
					'title' => esc_html__( 'Tags', 'bianco' ),
					'priority' => 1,
					'capability' => 'edit_theme_options',
					'description' => esc_html__( 'Tag archives settings.', 'bianco' ),
					'panel' => 'bianco_archives',
					'sanitize_callback' => $bianco_santanize,
				)
			);

				/*====== Tag Sidebar Position ======*/
				$wp_customize->add_setting( 'bianco_tags_sidebar_position',
					array(
						'default' => 'right-sidebar',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $bianco_transport,
						'sanitize_callback' => $bianco_santanize,
					)
				);
				
			    $wp_customize->add_control( new Bianco_Customize_Control_Radio_Image(  $wp_customize, 'bianco_tags_sidebar_position',
		            array(
		                'label'    => esc_html__( 'Sidebar Position', 'bianco' ),
						'section' => 'bianco_tags',
						'settings' => 'bianco_tags_sidebar_position',
						'description' => esc_html__( 'You can choose a sidebar position for the tags.', 'bianco' ),
		                'choices'  => array(
		                    'right-sidebar' => array(
		                        'label' => esc_html__( 'Right Sidebar', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/right-sidebar.svg',
		                    ),
		                    'left-sidebar' => array(
		                        'label' => esc_html__( 'Left Sidebar', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/left-sidebar.svg',
		                    ),
		                    'no-sidebar' => array(
		                        'label' => esc_html__( 'No Sidebar', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/no-sidebar.svg',
		                    ),
		                ),
						'sanitize_callback' => $bianco_santanize,
		            )
		        ) );

				/*====== Tag Sidebar ======*/
				$wp_customize->add_setting( 'bianco_tags_sidebar',
					array(
						'default' => '',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $bianco_transport,
						'sanitize_callback' => $bianco_santanize,
					)
				);
				
			    $wp_customize->add_control( new Bianco_Sidebar_Dropdown_Custom_Control(  $wp_customize, 'bianco_tags_sidebar',
		            array(
		                'label'    => esc_html__( 'Sidebar', 'bianco' ),
						'section' => 'bianco_tags',
						'settings' => 'bianco_tags_sidebar',
						'description' => esc_html__( 'You can choose a sidebar for the tags.', 'bianco' ),
						'sanitize_callback' => $bianco_santanize,
		            )
		        ) );

				/*====== Tag Post Style ======*/
				$wp_customize->add_setting( 'bianco_tags_post_style',
					array(
						'default' => 'style-1',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $bianco_transport,
						'sanitize_callback' => $bianco_santanize,
					)
				);
				
			    $wp_customize->add_control( new Bianco_Customize_Control_Radio_Image(  $wp_customize, 'bianco_tags_post_style',
		            array(
		                'label'    => esc_html__( 'Post Style', 'bianco' ),
						'section' => 'bianco_tags',
						'settings' => 'bianco_tags_post_style',
						'description' => esc_html__( 'You can choose a post style for the tags.', 'bianco' ),
		                'choices'  => array(
		                    'style-1' => array(
		                        'label' => esc_html__( 'Style 1', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/post-style/style-1.svg'
		                    ),
		                    'style-2' => array(
		                        'label' => esc_html__( 'Style 2', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/post-style/style-2.svg'
		                    ),
		                    'style-3' => array(
		                        'label' => esc_html__( 'Style 3', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/post-style/style-3.svg'
		                    ),
		                ),
						'sanitize_callback' => $bianco_santanize,
		            )
		        ) );



			/*====== Searches ======*/
			$wp_customize->add_section( 'bianco_searches', 
				array(
					'title' => esc_html__( 'Searches', 'bianco' ),
					'priority' => 1,
					'capability' => 'edit_theme_options',
					'description' => esc_html__( 'Search archives settings.', 'bianco' ),
					'panel' => 'bianco_archives',
					'sanitize_callback' => $bianco_santanize,
				)
			);

				/*====== Search Sidebar Position ======*/
				$wp_customize->add_setting( 'bianco_searches_sidebar_position',
					array(
						'default' => 'right-sidebar',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $bianco_transport,
						'sanitize_callback' => $bianco_santanize,
					)
				);
				
			    $wp_customize->add_control( new Bianco_Customize_Control_Radio_Image(  $wp_customize, 'bianco_searches_sidebar_position',
		            array(
		                'label'    => esc_html__( 'Sidebar Position', 'bianco' ),
						'section' => 'bianco_searches',
						'settings' => 'bianco_searches_sidebar_position',
						'description' => esc_html__( 'You can choose a sidebar position for the searches.', 'bianco' ),
		                'choices'  => array(
		                    'right-sidebar' => array(
		                        'label' => esc_html__( 'Right Sidebar', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/right-sidebar.svg'
		                    ),
		                    'left-sidebar' => array(
		                        'label' => esc_html__( 'Left Sidebar', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/left-sidebar.svg'
		                    ),
		                    'no-sidebar' => array(
		                        'label' => esc_html__( 'No Sidebar', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/no-sidebar.svg'
		                    )
		                ),
						'sanitize_callback' => $bianco_santanize,
		            )
		        ) );

				/*====== Search Sidebar ======*/
				$wp_customize->add_setting( 'bianco_searches_sidebar',
					array(
						'default' => '',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $bianco_transport,
						'sanitize_callback' => $bianco_santanize,
					)
				);
				
			    $wp_customize->add_control( new Bianco_Sidebar_Dropdown_Custom_Control(  $wp_customize, 'bianco_searches_sidebar',
		            array(
		                'label'    => esc_html__( 'Sidebar', 'bianco' ),
						'section' => 'bianco_searches',
						'settings' => 'bianco_searches_sidebar',
						'description' => esc_html__( 'You can choose a sidebar for the searches.', 'bianco' ),
						'sanitize_callback' => $bianco_santanize,
		            )
		        ) );

				/*====== Search Post Style ======*/
				$wp_customize->add_setting( 'bianco_searches_post_style',
					array(
						'default' => 'style-1',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $bianco_transport,
						'sanitize_callback' => $bianco_santanize,
					)
				);
				
			    $wp_customize->add_control( new Bianco_Customize_Control_Radio_Image(  $wp_customize, 'bianco_searches_post_style',
		            array(
		                'label'    => esc_html__( 'Post Style', 'bianco' ),
						'section' => 'bianco_searches',
						'settings' => 'bianco_searches_post_style',
						'description' => esc_html__( 'You can choose a post style for the searches.', 'bianco' ),
		                'choices'  => array(
		                    'style-1' => array(
		                        'label' => esc_html__( 'Style 1', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/post-style/style-1.svg'
		                    ),
		                    'style-2' => array(
		                        'label' => esc_html__( 'Style 2', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/post-style/style-2.svg'
		                    ),
		                    'style-3' => array(
		                        'label' => esc_html__( 'Style 3', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/post-style/style-3.svg'
		                    ),
		                ),
						'sanitize_callback' => $bianco_santanize,
		            )
		        ) );



			/*====== Authors ======*/
			$wp_customize->add_section( 'bianco_authors', 
				array(
					'title' => esc_html__( 'Authors', 'bianco' ),
					'priority' => 1,
					'capability' => 'edit_theme_options',
					'description' => esc_html__( 'Author archives settings.', 'bianco' ),
					'panel' => 'bianco_archives',
					'sanitize_callback' => $bianco_santanize,
				)
			);

				/*====== Author Sidebar Position ======*/
				$wp_customize->add_setting( 'bianco_authors_sidebar_position',
					array(
						'default' => 'right-sidebar',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $bianco_transport,
						'sanitize_callback' => $bianco_santanize,
					)
				);
				
			    $wp_customize->add_control( new Bianco_Customize_Control_Radio_Image(  $wp_customize, 'bianco_authors_sidebar_position',
		            array(
		                'label'    => esc_html__( 'Sidebar Position', 'bianco' ),
						'section' => 'bianco_authors',
						'settings' => 'bianco_authors_sidebar_position',
						'description' => esc_html__( 'You can choose a sidebar position for the authors.', 'bianco' ),
		                'choices'  => array(
		                    'right-sidebar' => array(
		                        'label' => esc_html__( 'Right Sidebar', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/right-sidebar.svg'
		                    ),
		                    'left-sidebar' => array(
		                        'label' => esc_html__( 'Left Sidebar', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/left-sidebar.svg'
		                    ),
		                    'no-sidebar' => array(
		                        'label' => esc_html__( 'No Sidebar', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/no-sidebar.svg'
		                    )
		                ),
						'sanitize_callback' => $bianco_santanize,
		            )
		        ) );

				/*====== Author Sidebar ======*/
				$wp_customize->add_setting( 'bianco_authors_sidebar',
					array(
						'default' => '',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $bianco_transport,
						'sanitize_callback' => $bianco_santanize,
					)
				);
				
			    $wp_customize->add_control( new Bianco_Sidebar_Dropdown_Custom_Control(  $wp_customize, 'bianco_authors_sidebar',
		            array(
		                'label'    => esc_html__( 'Sidebar', 'bianco' ),
						'section' => 'bianco_authors',
						'settings' => 'bianco_authors_sidebar',
						'description' => esc_html__( 'You can choose a sidebar for the authors.', 'bianco' ),
						'sanitize_callback' => $bianco_santanize,
		            )
		        ) );

				/*====== Author Post Style ======*/
				$wp_customize->add_setting( 'bianco_authors_post_style',
					array(
						'default' => 'style-1',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $bianco_transport,
						'sanitize_callback' => $bianco_santanize,
					)
				);
				
			    $wp_customize->add_control( new Bianco_Customize_Control_Radio_Image(  $wp_customize, 'bianco_authors_post_style',
		            array(
		                'label'    => esc_html__( 'Post Style', 'bianco' ),
						'section' => 'bianco_authors',
						'settings' => 'bianco_authors_post_style',
						'description' => esc_html__( 'You can choose a post style for the authors.', 'bianco' ),
		                'choices'  => array(
		                    'style-1' => array(
		                        'label' => esc_html__( 'Style 1', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/post-style/style-1.svg'
		                    ),
		                    'style-2' => array(
		                        'label' => esc_html__( 'Style 2', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/post-style/style-2.svg'
		                    ),
		                    'style-3' => array(
		                        'label' => esc_html__( 'Style 3', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/post-style/style-3.svg'
		                    ),
		                ),
						'sanitize_callback' => $bianco_santanize,
		            )
		        ) );



			/*====== Archives ======*/
			$wp_customize->add_section( 'bianco_archives', 
				array(
					'title' => esc_html__( 'Archives', 'bianco' ),
					'priority' => 1,
					'capability' => 'edit_theme_options',
					'description' => esc_html__( 'General archive settings.', 'bianco' ),
					'panel' => 'bianco_archives',
					'sanitize_callback' => $bianco_santanize,
				)
			);

				/*====== Archives Sidebar Position ======*/
				$wp_customize->add_setting( 'bianco_archives_sidebar_position',
					array(
						'default' => 'right-sidebar',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $bianco_transport,
						'sanitize_callback' => $bianco_santanize,
					)
				);
				
			    $wp_customize->add_control( new Bianco_Customize_Control_Radio_Image(  $wp_customize, 'bianco_archives_sidebar_position',
		            array(
		                'label'    => esc_html__( 'Sidebar Position', 'bianco' ),
						'section' => 'bianco_archives',
						'settings' => 'bianco_archives_sidebar_position',
						'description' => esc_html__( 'You can choose a sidebar position for the archives.', 'bianco' ),
		                'choices'  => array(
		                    'right-sidebar' => array(
		                        'label' => esc_html__( 'Right Sidebar', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/right-sidebar.svg'
		                    ),
		                    'left-sidebar' => array(
		                        'label' => esc_html__( 'Left Sidebar', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/left-sidebar.svg'
		                    ),
		                    'no-sidebar' => array(
		                        'label' => esc_html__( 'No Sidebar', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/no-sidebar.svg'
		                    )
		                ),
						'sanitize_callback' => $bianco_santanize,
		            )
		        ) );

				/*====== Archives Sidebar ======*/
				$wp_customize->add_setting( 'bianco_archives_sidebar',
					array(
						'default' => '',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $bianco_transport,
						'sanitize_callback' => $bianco_santanize,
					)
				);
				
			    $wp_customize->add_control( new Bianco_Sidebar_Dropdown_Custom_Control(  $wp_customize, 'bianco_archives_sidebar',
		            array(
		                'label'    => esc_html__( 'Sidebar', 'bianco' ),
						'section' => 'bianco_archives',
						'settings' => 'bianco_archives_sidebar',
						'description' => esc_html__( 'You can choose a sidebar for the archives.', 'bianco' ),
						'sanitize_callback' => $bianco_santanize,
		            )
		        ) );

				/*====== Archives Post Style ======*/
				$wp_customize->add_setting( 'bianco_archives_post_style',
					array(
						'default' => 'style-1',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $bianco_transport,
						'sanitize_callback' => $bianco_santanize,
					)
				);
				
			    $wp_customize->add_control( new Bianco_Customize_Control_Radio_Image(  $wp_customize, 'bianco_archives_post_style',
		            array(
		                'label'    => esc_html__( 'Post Style', 'bianco' ),
						'section' => 'bianco_archives',
						'settings' => 'bianco_archives_post_style',
						'description' => esc_html__( 'You can choose a post style for the archives.', 'bianco' ),
		                'choices'  => array(
		                    'style-1' => array(
		                        'label' => esc_html__( 'Style 1', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/post-style/style-1.svg'
		                    ),
		                    'style-2' => array(
		                        'label' => esc_html__( 'Style 2', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/post-style/style-2.svg'
		                    ),
		                    'style-3' => array(
		                        'label' => esc_html__( 'Style 3', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/post-style/style-3.svg'
		                    ),
		                ),
						'sanitize_callback' => $bianco_santanize,
		            )
		        ) );



			/*====== Attachments ======*/
			$wp_customize->add_section( 'bianco_attachments', 
				array(
					'title' => esc_html__( 'Attachments', 'bianco' ),
					'priority' => 1,
					'capability' => 'edit_theme_options',
					'description' => esc_html__( 'Attachment settings.', 'bianco' ),
					'panel' => 'bianco_archives',
					'sanitize_callback' => $bianco_santanize,
				)
			);

				/*====== Attachments Sidebar Position ======*/
				$wp_customize->add_setting( 'bianco_attachments_sidebar_position',
					array(
						'default' => 'no-sidebar',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $bianco_transport,
						'sanitize_callback' => $bianco_santanize,
					)
				);
				
			    $wp_customize->add_control( new Bianco_Customize_Control_Radio_Image(  $wp_customize, 'bianco_attachments_sidebar_position',
		            array(
		                'label'    => esc_html__( 'Sidebar Position', 'bianco' ),
						'section' => 'bianco_attachments',
						'settings' => 'bianco_attachments_sidebar_position',
						'description' => esc_html__( 'You can choose a sidebar position for the attachments.', 'bianco' ),
		                'choices'  => array(
		                    'right-sidebar' => array(
		                        'label' => esc_html__( 'Right Sidebar', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/right-sidebar.svg'
		                    ),
		                    'left-sidebar' => array(
		                        'label' => esc_html__( 'Left Sidebar', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/left-sidebar.svg'
		                    ),
		                    'no-sidebar' => array(
		                        'label' => esc_html__( 'No Sidebar', 'bianco' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/no-sidebar.svg'
		                    )
		                ),
						'sanitize_callback' => $bianco_santanize,
		            )
		        ) );

				/*====== Attachments Sidebar ======*/
				$wp_customize->add_setting( 'bianco_attachments_sidebar',
					array(
						'default' => '',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $bianco_transport,
						'sanitize_callback' => $bianco_santanize,
					)
				);
				
			    $wp_customize->add_control( new Bianco_Sidebar_Dropdown_Custom_Control(  $wp_customize, 'bianco_attachments_sidebar',
		            array(
		                'label'    => esc_html__( 'Sidebar', 'bianco' ),
						'section' => 'bianco_attachments',
						'settings' => 'bianco_attachments_sidebar',
						'description' => esc_html__( 'You can choose a sidebar for the attachments.', 'bianco' ),
						'sanitize_callback' => $bianco_santanize,
		            )
		        ) );

				/*====== Attachments Share ======*/
				$wp_customize->add_setting( 'bianco_attachments_comment',
					array(
						'default' => '',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $bianco_transport,
						'sanitize_callback' => $bianco_santanize,
					)
				);

				$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, 'bianco_attachments_comment', 
					array(
						'label' => esc_html__( 'Comments', 'bianco' ),
						'section' => 'bianco_attachments',
						'settings' => 'bianco_attachments_comment',
						'type' => 'toggle',
						'description' => esc_html__( 'You can choose status of the comments for the attachments.', 'bianco' ),
						'sanitize_callback' => $bianco_santanize,
					)
				) );



		/*======
		*
		* WooCommerce
		*
		======*/
		$wp_customize->add_panel( 'woocommerce', 
			array(
				'title' => esc_html__( 'WooCommerce', 'bianco' ),
				'priority' => 10,
				'description' => esc_html__( 'WooCommerce settings.', 'bianco' ),
				'sanitize_callback' => $bianco_santanize,
			)
		);

			/*====== Page WooCommerce Sidebar ======*/
			$wp_customize->add_section( 'bianco_woocommerce_sidebar', 
				array(
					'title' => esc_html__( 'WooCommerce Sidebar', 'bianco' ),
					'priority' => 1,
					'capability' => 'edit_theme_options',
					'description' => esc_html__( 'WooCommerce sidebar settings.', 'bianco' ),
					'panel' => 'woocommerce',
					'sanitize_callback' => $bianco_santanize,
				)
			);

			/*====== Page Sidebar Position ======*/
			$wp_customize->add_setting( 'bianco_woo_sidebar_position',
				array(
					'default' => 'no-sidebar',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				)
			);
			
		    $wp_customize->add_control( new Bianco_Customize_Control_Radio_Image(  $wp_customize, 'bianco_woo_sidebar_position',
	            array(
					'section' => 'bianco_woocommerce_sidebar',
	                'label'    => esc_html__( 'WooCommerce Sidebar Position', 'bianco' ),
					'settings' => 'bianco_woo_sidebar_position',
					'description' => esc_html__( 'You can choose a sidebar position for WooCommerce.', 'bianco' ),
	                'choices'  => array(
	                    'right-sidebar' => array(
	                        'label' => esc_html__( 'Right Sidebar', 'bianco' ),
	                        'url'   => '%s/include/customize/assets/img/sidebar/right-sidebar.svg'
	                    ),
	                    'left-sidebar' => array(
	                        'label' => esc_html__( 'Left Sidebar', 'bianco' ),
	                        'url'   => '%s/include/customize/assets/img/sidebar/left-sidebar.svg'
	                    ),
	                    'no-sidebar' => array(
	                        'label' => esc_html__( 'No Sidebar', 'bianco' ),
	                        'url'   => '%s/include/customize/assets/img/sidebar/no-sidebar.svg'
	                    )
	                ),
					'sanitize_callback' => $bianco_santanize,
	            )
	        ) );



		/*======
		*
		* Social Media
		*
		======*/
		$wp_customize->add_panel( 'bianco_social_media', array(
			'title' => esc_html__( 'Social Media', 'bianco' ),
			'description' => esc_html__( 'Social media settings.', 'bianco' ),
			'priority' => 12,
			'sanitize_callback' => $bianco_santanize,
		) );

			/*====== Social Links ======*/
			$social_sites = bianco_social_media_array_filter();
			$wp_customize->add_section( 'bianco_social_media_links', 
				array(
					'title' => esc_html__( 'Social Links', 'bianco' ),
					'priority' => 1,
					'capability' => 'edit_theme_options',
					'description' => esc_html__( 'Social link settings.', 'bianco' ),
					'panel' => 'bianco_social_media',
					'sanitize_callback' => $bianco_santanize,
				)
			);

			foreach ( $social_sites as $social_site => $value ) {
				$label = ucfirst( $social_site );
				if ( $social_site == 'twitter' ) {
					$label = esc_html__( 'Twitter', 'bianco' );
				} elseif ( $social_site == 'facebook' ) {
					$label = esc_html__( 'Facebook', 'bianco' );
				} elseif ( $social_site == 'google-plus' ) {
					$label = esc_html__( 'Google Plus', 'bianco' );
				} elseif ( $social_site == 'pinterest' ) {
					$label = esc_html__( 'Pinterest', 'bianco' );
				} elseif ( $social_site == 'youtube' ) {
					$label = esc_html__( 'YouTube', 'bianco' );
				} elseif ( $social_site == 'vimeo' ) {
					$label = esc_html__( 'Vimeo', 'bianco' );
				} elseif ( $social_site == 'tumblr' ) {
					$label = esc_html__( 'Tumblr', 'bianco' );
				} elseif ( $social_site == 'instagram' ) {
					$label = esc_html__( 'Instagram', 'bianco' );
				} elseif ( $social_site == 'flickr' ) {
					$label = esc_html__( 'Flickr', 'bianco' );
				} elseif ( $social_site == 'dribbble' ) {
					$label = esc_html__( 'Dribbble', 'bianco' );
				} elseif ( $social_site == 'reddit' ) {
					$label = esc_html__( 'Reddit', 'bianco' );
				} elseif ( $social_site == 'soundcloud' ) {
					$label = esc_html__( 'SoundCloud', 'bianco' );
				} elseif ( $social_site == 'spotify' ) {
					$label = esc_html__( 'Spotify', 'bianco' );
				} elseif ( $social_site == 'yahoo' ) {
					$label = esc_html__( 'Yahoo', 'bianco' );
				} elseif ( $social_site == 'behance' ) {
					$label = esc_html__( 'Behance', 'bianco' );
				} elseif ( $social_site == 'delicious' ) {
					$label = esc_html__( 'Delicious', 'bianco' );
				} elseif ( $social_site == 'stumbleupon' ) {
					$label = esc_html__( 'Stumbleupon', 'bianco' );
				} elseif ( $social_site == 'deviantart' ) {
					$label = esc_html__( 'DeviantArt', 'bianco' );
				} elseif ( $social_site == 'digg' ) {
					$label = esc_html__( 'Digg', 'bianco' );
				} elseif ( $social_site == 'github' ) {
					$label = esc_html__( 'GitHub', 'bianco' );
				} elseif ( $social_site == 'medium' ) {
					$label = esc_html__( 'Medium', 'bianco' );
				} elseif ( $social_site == 'steam' ) {
					$label = esc_html__( 'Steam', 'bianco' );
				} elseif ( $social_site == 'vk' ) {
					$label = esc_html__( 'VK', 'bianco' );
				} elseif ( $social_site == '500px' ) {
					$label = esc_html__( '500px', 'bianco' );
				} elseif ( $social_site == 'foursquare' ) {
					$label = esc_html__( 'Foursquare', 'bianco' );
				} elseif ( $social_site == 'slack' ) {
					$label = esc_html__( 'Slack', 'bianco' );
				} elseif ( $social_site == 'whatsapp' ) {
					$label = esc_html__( 'WhatsApp', 'bianco' );
				} elseif ( $social_site == 'twitch' ) {
					$label = esc_html__( 'Twitch', 'bianco' );
				} elseif ( $social_site == 'paypal' ) {
					$label = esc_html__( 'PayPal', 'bianco' );
				} elseif ( $social_site == 'rss' ) {
					$label = esc_html__( 'RSS', 'bianco' );
				} elseif ( $social_site == 'codepen' ) {
					$label = esc_html__( 'CodePen', 'bianco' );
				} elseif ( $social_site == 'custom-url' ) {
					$label = esc_html__( 'Custom URL', 'bianco' );
				}

				$wp_customize->add_setting( $social_site, array(
					'sanitize_callback' => 'esc_url_raw',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				) );

				$wp_customize->add_control( $social_site, array(
					'type' => 'url',
					'label' => $label,
					'section' => 'bianco_social_media_links',
					'settings' => $social_site,
					'description' => esc_html__( 'You can enter an URL.', 'bianco' ),
					'sanitize_callback' => $bianco_santanize,
				) );

				$wp_customize->add_setting( $social_site . '-target', array(
					'sanitize_callback' => 'esc_url_raw',
					'type' => 'theme_mod',
					'default' => '',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				) );

				$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, $social_site . '-target', 
					array(
						'label' => esc_html__( 'Open with New Tab', 'bianco' ),
						'section' => 'bianco_social_media_links',
						'settings' => $social_site . '-target',
						'type' => 'toggle',
						'sanitize_callback' => $bianco_santanize,
					)
				) );
			}

			/*====== Social Links ======*/
			$social_shares = bianco_social_share_array_filter();
			$wp_customize->add_section( 'bianco_social_share', 
				array(
					'title' => esc_html__( 'Social Share', 'bianco' ),
					'priority' => 1,
					'capability' => 'edit_theme_options',
					'description' => esc_html__( 'Social share settings.', 'bianco' ),
					'panel' => 'bianco_social_media',
					'sanitize_callback' => $bianco_santanize,
				)
			);

			foreach ( $social_shares as $social_share => $value ) {
				$label = ucfirst( $social_share );
				if ( $social_share == 'twitter' ) {
					$label = esc_html__( 'Twitter', 'bianco' );
				} elseif ( $social_share == 'facebook' ) {
					$label = esc_html__( 'Facebook', 'bianco' );
				} elseif ( $social_share == 'google-plus' ) {
					$label = esc_html__( 'Google Plus', 'bianco' );
				} elseif ( $social_share == 'pinterest' ) {
					$label = esc_html__( 'Pinterest', 'bianco' );
				} elseif ( $social_share == 'youtube' ) {
					$label = esc_html__( 'YouTube', 'bianco' );
				} elseif ( $social_share == 'vimeo' ) {
					$label = esc_html__( 'Vimeo', 'bianco' );
				} elseif ( $social_share == 'tumblr' ) {
					$label = esc_html__( 'Tumblr', 'bianco' );
				} elseif ( $social_share == 'instagram' ) {
					$label = esc_html__( 'Instagram', 'bianco' );
				} elseif ( $social_share == 'flickr' ) {
					$label = esc_html__( 'Flickr', 'bianco' );
				} elseif ( $social_share == 'dribbble' ) {
					$label = esc_html__( 'Dribbble', 'bianco' );
				} elseif ( $social_share == 'reddit' ) {
					$label = esc_html__( 'Reddit', 'bianco' );
				} elseif ( $social_share == 'soundcloud' ) {
					$label = esc_html__( 'SoundCloud', 'bianco' );
				} elseif ( $social_share == 'spotify' ) {
					$label = esc_html__( 'Spotify', 'bianco' );
				} elseif ( $social_share == 'yahoo' ) {
					$label = esc_html__( 'Yahoo', 'bianco' );
				} elseif ( $social_share == 'behance' ) {
					$label = esc_html__( 'Behance', 'bianco' );
				} elseif ( $social_share == 'delicious' ) {
					$label = esc_html__( 'Delicious', 'bianco' );
				} elseif ( $social_share == 'stumbleupon' ) {
					$label = esc_html__( 'Stumbleupon', 'bianco' );
				} elseif ( $social_share == 'deviantart' ) {
					$label = esc_html__( 'DeviantArt', 'bianco' );
				} elseif ( $social_share == 'digg' ) {
					$label = esc_html__( 'Digg', 'bianco' );
				} elseif ( $social_share == 'github' ) {
					$label = esc_html__( 'GitHub', 'bianco' );
				} elseif ( $social_share == 'medium' ) {
					$label = esc_html__( 'Medium', 'bianco' );
				} elseif ( $social_share == 'steam' ) {
					$label = esc_html__( 'Steam', 'bianco' );
				} elseif ( $social_share == 'vk' ) {
					$label = esc_html__( 'VK', 'bianco' );
				} elseif ( $social_share == '500px' ) {
					$label = esc_html__( '500px', 'bianco' );
				} elseif ( $social_share == 'foursquare' ) {
					$label = esc_html__( 'Foursquare', 'bianco' );
				} elseif ( $social_share == 'slack' ) {
					$label = esc_html__( 'Slack', 'bianco' );
				} elseif ( $social_share == 'whatsapp' ) {
					$label = esc_html__( 'WhatsApp', 'bianco' );
				} elseif ( $social_share == 'twitch' ) {
					$label = esc_html__( 'Twitch', 'bianco' );
				} elseif ( $social_share == 'paypal' ) {
					$label = esc_html__( 'PayPal', 'bianco' );
				} elseif ( $social_share == 'rss' ) {
					$label = esc_html__( 'RSS', 'bianco' );
				} elseif ( $social_share == 'codepen' ) {
					$label = esc_html__( 'CodePen', 'bianco' );
				}

				$wp_customize->add_setting( $social_share . '_share', array(
					'sanitize_callback' => 'esc_url_raw',
					'type' => 'theme_mod',
					'default' => '',
					'capability' => 'edit_theme_options',
					'transport' => $bianco_transport,
					'sanitize_callback' => $bianco_santanize,
				) );

				$wp_customize->add_control( new Bianco_Customizer_Toggle_Control( $wp_customize, $social_share . '_share', 
					array(
						'label' => $label . ' ' . esc_html__( 'Share', 'bianco' ),
						'section' => 'bianco_social_share',
						'settings' => $social_share . '_share',
						'type' => 'toggle',
						'sanitize_callback' => $bianco_santanize,
					)
				) );
			}
	}
	add_action( 'customize_register', 'bianco_customizer' );