<?php
/*======
*
* Customize Types
*
======*/



	/*====== Range Value ======*/
	if ( class_exists( 'WP_Customize_Control' ) ) {
		class Bianco_Customizer_Range_Value_Control extends WP_Customize_Control {
			public $type = 'range-value';
			public function render_content() {
				echo '<label>';
					echo '<span class="customize-control-title">' . esc_html( $this->label ) . '</span>';
					if ( !empty( $this->description ) ) {
						echo '<span class="description customize-control-description">' . $this->description . '</span>';
					}
					echo '<div class="range-slider">';
						echo '<span>';
							echo '<input class="range-slider__range" type="range" value="' . esc_attr( $this->value() ) . '"';
								$this->input_attrs();
								$this->link();
							echo '>';
							echo '<span class="range-slider__value">0</span>';
						echo '</span>';
					echo '</div>';
				echo '</label>';
			}
		}
	}



	/*====== Toggle ======*/
	if ( class_exists( 'WP_Customize_Control' ) ) {
		class Bianco_Customizer_Toggle_Control extends WP_Customize_Control {
			public $type = 'toggle';
			public function render_content() {
				echo '<label>';
					echo '<span class="customize-control-title">' . esc_html( $this->label ) . '</span>';
					if ( !empty( $this->description ) ) {
						echo '<span class="description customize-control-description">' . $this->description . '</span>';
					}
					echo '<div>';
						echo '<input id="bianco' . $this->instance_number . '" type="checkbox" class="tgl tgl-' . $this->type . '" value="' . esc_attr( $this->value() ) . '"';
							$this->link(); checked( $this->value() );
						echo '/>';
						echo '<label for="bianco' . $this->instance_number . '" class="tgl-btn"></label>';
					echo '</div>';
				echo '</label>';
			}
		}
	}



	/*====== Radio Image ======*/
	if ( class_exists( 'WP_Customize_Control' ) ) {
		class Bianco_Customize_Control_Radio_Image extends WP_Customize_Control {
			public $type = 'radio-image';

			public function enqueue() {
				wp_enqueue_script( 'jquery-ui-button' );
			}

			public function to_json() {
				parent::to_json();
				foreach ( $this->choices as $value => $args ) {
					$this->choices[ $value ]['url'] = esc_url( sprintf( $args['url'], get_template_directory_uri(), get_stylesheet_directory_uri() ) );
					$this->json['choices'] = $this->choices;
					$this->json['link'] = $this->get_link();
					$this->json['value'] = $this->value();
					$this->json['id'] = $this->id;
				}
			}

			public function content_template() { ?>
				<# if ( ! data.choices ) {
					return;
				} #>

				<# if ( data.label ) { #>
					<span class="customize-control-title">{{ data.label }}</span>
				<# } #>

				<# if ( data.description ) { #>
					<span class="description customize-control-description">{{{ data.description }}}</span>
				<# } #>

				<div class="buttonset">
					<# for ( key in data.choices ) { #>
						<input type="radio" value="{{ key }}" name="_customize-{{ data.type }}-{{ data.id }}" id="{{ data.id }}-{{ key }}" {{{ data.link }}} <# if ( key === data.value ) { #> checked="checked" <# } #> /> 
						<label for="{{ data.id }}-{{ key }}">
							<span class="screen-reader-text">{{ data.choices[ key ]['label'] }}</span>
							<img src="{{ data.choices[ key ]['url'] }}" alt="{{ data.choices[ key ]['label'] }}" />
						</label>
					<# } #>
				</div>
			<?php }
		}
	}



	/*====== Font List ======*/
	if ( ! function_exists( 'bianco_register_customizer_control_google_fonts' ) ) {
		function bianco_register_customizer_control_google_fonts( $wp_customize ) {
			if ( ! isset( $wp_customize ) ) {
				return;
			}

			class Bianco_Customize_Google_Fonts_Control extends WP_Customize_Control {
				public $type = 'google-fonts';
				public $api_key = null;
				public $amount = 'all';
				public $cache_time = 365;
				public $fonts = null;

				public function render_content() {
					if ( $this->fonts ) {
						if ( is_array( $this->fonts ) ) {
							$fonts = $this->fonts;
						} else {
							return;
						}
					} else {
						$fonts = $this->bianco_get_fonts();
						if ( ! $fonts ) {
							return;
						}
					}

					if ( ! empty( $this->label ) ) {
						echo '<span class="customize-control-title">' . esc_html( $this->label ) . '</span>';
					}

					if ( ! empty( $this->description ) ) {
						echo '<span class="description customize-control-description">' . esc_html( $this->description ) . '</span>';
					}

					echo '<select ';
						$this->link();
					echo '>';

						if ( $this->fonts ) {
							foreach ( $fonts as $font ) {
								printf( '<option value="%s" %s>%s</option>', $font, selected( $this->value(), $font ), $font );
							}
						} else {
							foreach ( $fonts as $font => $value ) {
								printf( '<option value="%s" %s>%s</option>', $value->family, selected( $this->value(), $value->family ), $value->family );
							}
						}

						$typekit_fonts = get_theme_mod( 'bianco_typekit_font_names' );
						if( !empty( $typekit_fonts ) ) {
							$typekit_fonts_list = explode( ',', $typekit_fonts );

							if( !empty( $typekit_fonts_list ) ) {
								foreach ( $typekit_fonts_list as $typekit_font ) {
									if( !empty( $typekit_font ) ) {
										echo '<option value="' . esc_attr( trim( $typekit_font ) ) . '">' . esc_attr( trim( $typekit_font ) ) . '</option>';
									}
								}
							}
						}
					echo '</select>';
				}

				private function bianco_get_fonts() {
					$api_key = $this->api_key;
					$cache_time = DAY_IN_SECONDS * $this->cache_time;

					if ( ! $api_key ) {
						return null;
					}

					if ( ! get_transient( 'bianco_google_fonts' ) ) {
						$cloud_url = 'https://www.googleapis.com/webfonts/v1/webfonts?key=' . $api_key;
						$local_url = get_template_directory_uri() . '/assets/fonts/google-fonts/google-fonts.json?ver=' . BIANCO_THEME_VERSION;
						$cloud_data = wp_remote_get( $cloud_url, array( 'sslverify' => false ) );
						$local_data = wp_remote_get( $local_url, array( 'sslverify' => false ) );

						if ( ! is_wp_error( $cloud_data ) ) {
							$content = json_decode( $cloud_data['body'] );
							if ( isset( $content->error ) ) {
								if ( ! is_wp_error( $local_data ) ) {
									$content = json_decode( $local_data['body'] );
								} else {
									return null;
								}
							}
						} else {
							if ( ! is_wp_error( $local_data ) ) {
								$content = json_decode( $local_data['body'] );
							} else {
								return null;
							}
						}
						set_transient( 'bianco_google_fonts', $content, $cache_time );
					}

					if ( ! get_transient( 'bianco_popular_google_fonts' ) ) {
						$cloud_url = 'https://www.googleapis.com/webfonts/v1/webfonts?sort=popularity&key=' . $api_key;
						$local_url = get_template_directory_uri() . '/assets/fonts/google-fonts/google-fonts-popular.json?ver=' . BIANCO_THEME_VERSION;
						$cloud_data = wp_remote_get( $cloud_url, array( 'sslverify' => false ) );
						$local_data = wp_remote_get( $local_url, array( 'sslverify' => false ) );

						if ( ! is_wp_error( $cloud_data ) ) {
							$content = json_decode( $cloud_data['body'] );
							if ( isset( $content->error ) ) {
								if ( ! is_wp_error( $local_data ) ) {
									$content = json_decode( $local_data['body'] );
								} else {
									return null;
								}
							}
						} else {
							if ( ! is_wp_error( $local_data ) ) {
								$content = json_decode( $local_data['body'] );
							} else {
								return null;
							}
						}

						set_transient( 'bianco_popular_google_fonts', $content, $cache_time );
					}

					if ( 'all' == $this->amount ) {
						$content = get_transient( 'bianco_google_fonts' );
						return $content->items;
					} else {
						$content = get_transient( 'bianco_popular_google_fonts' );
						return array_slice( $content->items, 0, $this->amount );
					}
				}
			}
		}
		add_action( 'customize_register', 'bianco_register_customizer_control_google_fonts', 0 );
	}



	/*====== Sidebar Dropdown ======*/
	if ( class_exists( 'WP_Customize_Control' ) ) {
		class Bianco_Sidebar_Dropdown_Custom_Control extends WP_Customize_Control {
			public $type = 'sidebar_dropdown';
			public function render_content() {
				echo '<label class="customize_dropdown_input">';
					echo '<span class="customize-control-title">' . esc_html( $this->label ) . '</span>';
					if ( ! empty( $this->description ) ) {
						echo '<span class="description customize-control-description">' . esc_html( $this->description ) . '</span>';
					}

					global $wp_registered_sidebars;
					echo '<select id="' . esc_attr( $this->id ) . '" name="' . esc_attr( $this->id ) . '" ';
						$this->link();
					echo ' >';
						$sidebar_shop = $wp_registered_sidebars;
						if ( is_array( $sidebar_shop ) && ! empty( $sidebar_shop ) ) {
							foreach ( $sidebar_shop as $sidebar ) {
								echo '<option value="' . esc_attr( $sidebar['id'] ) . '" ' . selected( $this->value(), $sidebar['name'], false ) . '>' . esc_html( $sidebar['name'] ) . '</option>';
							}
						}
					echo '</select>';
				echo '</label>';
			}
		}
	}



	/*====== Social Media ======*/
	function bianco_social_media_array_filter() {
		$social_sites = array(
			'facebook' => 'bianco_facebook_url',
			'twitter' => 'bianco_twitter_url',
			'google-plus' => 'bianco_googleplus_url',
			'pinterest' => 'bianco_pinterest_url',
			'linkedin' => 'bianco_linkedin_url',
			'youtube' => 'bianco_youtube_url',
			'vimeo' => 'bianco_vimeo_url',
			'tumblr' => 'bianco_tumblr_url',
			'instagram' => 'bianco_instagram_url',
			'flickr' => 'bianco_flickr_url',
			'dribbble' => 'bianco_dribbble_url',
			'reddit' => 'bianco_reddit_url',
			'soundcloud' => 'bianco_soundcloud_url',
			'spotify' => 'bianco_spotify_url',
			'yahoo' => 'bianco_yahoo_url',
			'behance' => 'bianco_behance_url',
			'codepen' => 'bianco_codepen_url',
			'delicious' => 'bianco_delicious_url',
			'stumbleupon' => 'bianco_stumbleupon_url',
			'deviantart' => 'bianco_deviantart_url',
			'digg' => 'bianco_digg_url',
			'github' => 'bianco_github_url',
			'medium' => 'bianco_medium_url',
			'steam' => 'bianco_steam_url',
			'vk' => 'bianco_vk_url',
			'500px' => 'bianco_500px_url',
			'foursquare' => 'bianco_foursquare_url',
			'slack' => 'bianco_slack_url',
			'whatsapp' => 'bianco_whatsapp_url',
			'skype' => 'bianco_skype_url',
			'twitch' => 'bianco_twitch_url',
			'paypal' => 'bianco_paypal_url',
			'rss' => 'bianco_rss_url',
			'custom-url' => 'bianco_custom_url',
		);
		return apply_filters( 'bianco_social_media_array_filter', $social_sites );
	}

	function bianco_social_share_array_filter() {
		$social_sites = array(
			'facebook' => 'bianco_facebook_share',
			'twitter' => 'bianco_twitter_share',
			'google-plus' => 'bianco_googleplus_share',
			'pinterest' => 'bianco_pinterest_share',
			'linkedin' => 'bianco_linkedin_share',
			'tumblr' => 'bianco_tumblr_share',
			'reddit' => 'bianco_reddit_share',
			'delicious' => 'bianco_delicious_share',
			'stumbleupon' => 'bianco_stumbleupon_share',
			'whatsapp' => 'bianco_whatsapp_share',
			'mail' => 'bianco_mail_share',
		);
		return apply_filters( 'bianco_social_share_array_filter', $social_sites );
	}