<?php
/*======
*
* Theme Meta Boxes
*
======*/
function bianco_meta_boxes( $meta_boxes ) {



    /*======
    *
    * Post Meta Boxes
    *
    ======*/
    $meta_boxes[] = array(
        /*====== Settings ======*/
        'id' => 'post-settings',
        'title' => esc_html__( 'Post Settings', 'bianco' ),
        'post_types' => 'post',
        'context' => 'normal',
        'priority' => 'high',

        /*====== Fields ======*/
        'fields' => array(

            /*====== Design ======*/
            array(
                'name' => esc_html__( 'Header Style', 'bianco' ),
                'desc' => esc_html__( 'You can choose a header style for this post.', 'bianco' ),
                'id' => 'header-style',
                'type' => 'image_select',
                'options'  => array(
                    'style-1' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-1.svg',
                    'style-2' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-2.svg',
                    'style-3' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-3.svg',
                ),
            ),
            array(
                'name' => esc_html__( 'Sidebar Position', 'bianco' ),
                'desc' => esc_html__( 'You can choose a sidebar position for this post.', 'bianco' ),
                'id' => 'sidebar-position',
                'type' => 'image_select',
                'options'  => array(
                    'right-sidebar' => get_template_directory_uri() . '/include/customize/assets/img/sidebar/right-sidebar.svg',
                    'left-sidebar' => get_template_directory_uri() . '/include/customize/assets/img/sidebar/left-sidebar.svg',
                    'no-sidebar' => get_template_directory_uri() . '/include/customize/assets/img/sidebar/no-sidebar.svg',
                ),
            ),
            array(
                'name' => esc_html__( 'Sidebar', 'bianco' ),
                'desc' => esc_html__( 'You can choose a sidebar for this post.', 'bianco' ),
                'id' => 'sidebar',
                'type' => 'sidebar',
            ),
            array(
                'name' => esc_html__( 'Hide Social Share', 'bianco' ),
                'desc' => esc_html__( 'You can hide the social share from this post.', 'bianco' ),
                'id' => 'hide-social-share',
                'type' => 'switch',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Hide Author Info', 'bianco' ),
                'desc' => esc_html__( 'You can hide the author info from this post.', 'bianco' ),
                'id' => 'hide-author-info',
                'type' => 'switch',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Hide Related Posts', 'bianco' ),
                'desc' => esc_html__( 'You can hide the related posts from this post.', 'bianco' ),
                'id' => 'hide-related-posts',
                'type' => 'switch',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Hide Post Navigation', 'bianco' ),
                'desc' => esc_html__( 'You can hide the post navigation from this post.', 'bianco' ),
                'id' => 'hide-post-navigation',
                'type' => 'switch',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Hide Featured Header', 'bianco' ),
                'desc' => esc_html__( 'You can hide the featured header from this post.', 'bianco' ),
                'id' => 'hide-featured-header',
                'type' => 'switch',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Featured Header Background', 'bianco' ),
                'desc' => esc_html__( 'You can upload a background image for the featured header of this post.', 'bianco' ),
                'id' => 'featured-header-background',
                'type' => 'image_advanced',
                'force_delete' => false,
                'max_status' => 'false',
                'image_size' => 'thumbnail',
                'max_file_uploads' => 1,
                'hidden' => array( 'hide-featured-header', '=', '1' ),
            ),
            array(
                'name' => esc_html__( 'Featured Header Type', 'bianco' ),
                'desc' => esc_html__( 'You can choose a featured header type for this post.', 'bianco' ),
                'id' => 'featured-header-type',
                'type' => 'radio',
                'std' => 'style-1',
                'inline' => false,
                'options' => array(
                    'style-1' => esc_html__( 'Style 1 - Standard Header', 'bianco' ),
                    'style-2' => esc_html__( 'Style 2 - Image Header', 'bianco' ),
                    'style-3' => esc_html__( 'Style 3 - Video Header', 'bianco' ),
                    'style-4' => esc_html__( 'Style 4 - Audio Header', 'bianco' ),
                    'style-5' => esc_html__( 'Style 5 - Gallery Header', 'bianco' ),
                ),
                'hidden' => array( 'hide-featured-header', '=', '1' ),
            ),
            array(
                'name' => esc_html__( 'Images for Slider Gallery Header', 'bianco' ),
                'desc' => esc_html__( 'You can upload images for the slider gallery header of this post.', 'bianco' ),
                'id' => 'slider-gallery-header-images',
                'type' => 'image_advanced',
                'force_delete' => false,
                'max_status' => 'false',
                'image_size' => 'thumbnail',
                'visible' => array( 'featured-header-type', '=', 'style-5' ),
            ),
            array(
                'name' => esc_html__( 'Video for Video Header', 'bianco' ),
                'desc' => esc_html__( 'You can enter a video URL for the video header of this post.', 'bianco' ),
                'id' => 'video-header-url',
                'type' => 'oembed',
                'visible' => array( 'featured-header-type', '=', 'style-3' ),
            ),
            array(
                'name' => esc_html__( 'Audio for Auido Header', 'bianco' ),
                'desc' => esc_html__( 'You can enter a HTML code for the audio header of this post.', 'bianco' ),
                'id' => 'audio-header-code',
                'type' => 'textarea',
                'visible' => array( 'featured-header-type', '=', 'style-4' ),
            ),
        )
    );



    /*======
    *
    * Page Meta Boxes
    *
    ======*/
    $meta_boxes[] = array(
        /*====== Settings ======*/
        'id' => 'page-settings',
        'title' => esc_html__( 'Page Settings', 'bianco' ),
        'post_types' => 'page',
        'context' => 'normal',
        'priority' => 'high',

        /*====== Fields ======*/
        'fields' => array(

            /*====== Design ======*/
            array(
                'name' => esc_html__( 'Header Style', 'bianco' ),
                'desc' => esc_html__( 'You can choose a header style for this page.', 'bianco' ),
                'id' => 'header-style',
                'type' => 'image_select',
                'options'  => array(
                    'style-1' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-1.svg',
                    'style-2' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-2.svg',
                    'style-3' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-3.svg',
                ),
            ),
            array(
                'name' => esc_html__( 'Sidebar Position', 'bianco' ),
                'desc' => esc_html__( 'You can choose a sidebar position for this page.', 'bianco' ),
                'id' => 'sidebar-position',
                'type' => 'image_select',
                'options'  => array(
                    'right-sidebar' => get_template_directory_uri() . '/include/customize/assets/img/sidebar/right-sidebar.svg',
                    'left-sidebar' => get_template_directory_uri() . '/include/customize/assets/img/sidebar/left-sidebar.svg',
                    'no-sidebar' => get_template_directory_uri() . '/include/customize/assets/img/sidebar/no-sidebar.svg',
                ),
            ),
            array(
                'name' => esc_html__( 'Sidebar', 'bianco' ),
                'desc' => esc_html__( 'You can choose a sidebar for this page.', 'bianco' ),
                'id' => 'sidebar',
                'type' => 'sidebar',
            ),
            array(
                'name' => esc_html__( 'Hide Featured Header', 'bianco' ),
                'desc' => esc_html__( 'You can hide the featured header from this page.', 'bianco' ),
                'id' => 'hide-featured-header',
                'type' => 'switch',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Featured Header Background', 'bianco' ),
                'desc' => esc_html__( 'You can upload a background image for the featured header of this page.', 'bianco' ),
                'id' => 'featured-header-background',
                'type' => 'image_advanced',
                'force_delete' => false,
                'max_status' => 'false',
                'image_size' => 'thumbnail',
                'max_file_uploads' => 1,
                'hidden' => array( 'hide-featured-header', '=', '1' ),
            ),
            array(
                'name' => esc_html__( 'Top Title for Featured Header', 'bianco' ),
                'desc' => esc_html__( 'You can enter a top title for the featured header.', 'bianco' ),
                'id' => 'page-top-title',
                'type' => 'text',
                'hidden' => array( 'hide-featured-header', '=', '1' ),
            ),
            array(
                'name' => esc_html__( 'Narrow Layout', 'bianco' ),
                'desc' => esc_html__( 'You can choose status of the narrow layout for this page.', 'bianco' ),
                'id' => 'page-narrow-layout',
                'type' => 'switch',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Blog List', 'bianco' ),
                'desc' => esc_html__( 'You can create a blog list for this page.', 'bianco' ),
                'id' => 'blog-list-status',
                'type' => 'switch',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Post Style', 'bianco' ),
                'desc' => esc_html__( 'You can choose a post style for the blog list.', 'bianco' ),
                'id' => 'blog-list-post-style',
                'type' => 'image_select',
                'options'  => array(
                    'style-1' => get_template_directory_uri() . '/include/customize/assets/img/post-style/style-1.svg',
                    'style-2' => get_template_directory_uri() . '/include/customize/assets/img/post-style/style-2.svg',
                    'style-3' => get_template_directory_uri() . '/include/customize/assets/img/post-style/style-3.svg',
                ),
                'visible' => array( 'blog-list-status', '=', '1' ),
            ),
            array(
                'name' => esc_html__( 'Column for Style 1', 'bianco' ),
                'desc' => esc_html__( 'You can choose categories for blog list. If you want to show all categories do not choose any categories.', 'bianco' ),
                'id' => 'blog-list-column',
                'type' => 'select',
                'options'  => array(
                    'column-1' => esc_html__( 'Column 1', 'bianco' ),
                    'column-2' => esc_html__( 'Column 2', 'bianco' ),
                    'column-3' => esc_html__( 'Column 3', 'bianco' ),
                    'column-4' => esc_html__( 'Column 4', 'bianco' ),
                ),
                'visible' => array(
                    array( 'blog-list-status', '=', '1' ),
                    array( 'blog-list-post-style', '=', 'style-1' ),
                ),
            ),
            array(
                'name' => esc_html__( 'Categories', 'bianco' ),
                'desc' => esc_html__( 'You can choose categories for blog list. If you want to show all categories do not choose any categories.', 'bianco' ),
                'id' => 'blog-list-categories',
                'type' => 'taxonomy_advanced',
                'field_type' => 'select_advanced',
                'taxonomy' => 'category',
                'multiple' => true,
                'visible' => array( 'blog-list-status', '=', '1' ),
            ),
            array(
                'name' => esc_html__( 'Post Count', 'bianco' ),
                'desc' => esc_html__( 'You can enter a post count for the blog list.', 'bianco' ),
                'id' => 'blog-list-count',
                'type' => 'text',
                'visible' => array( 'blog-list-status', '=', '1' ),
            ),
            array(
                'name' => esc_html__( 'Exclude Posts', 'bianco' ),
                'desc' => esc_html__( 'You can enter post ids to be excluded for the blog list. Separate with commas 1,2,3 etc.', 'bianco' ),
                'id' => 'blog-list-exclude-posts',
                'type' => 'text',
                'visible' => array( 'blog-list-status', '=', '1' ),
            ),
            array(
                'name' => esc_html__( 'Tag', 'bianco' ),
                'desc' => esc_html__( 'You can enter a tag for the blog list. If you want to show all tags do not choose any tags.', 'bianco' ),
                'id' => 'blog-list-tag',
                'type' => 'taxonomy_advanced',
                'field_type' => 'select_advanced',
                'taxonomy' => 'post_tag',
                'multiple' => true,
                'visible' => array( 'blog-list-status', '=', '1' ),
            ),
            array(
                'name' => esc_html__( 'Order', 'bianco' ),
                'desc' => esc_html__( 'You can choose an order for the blog list.', 'bianco' ),
                'id' => 'blog-list-order',
                'type' => 'select_advanced',
                'std' => 'DESC',
                'options' => array(
                    'DESC' => esc_html__( 'DESC', 'bianco' ),
                    'ASC' => esc_html__( 'ASC', 'bianco' ),
                ),
                'visible' => array( 'blog-list-status', '=', '1' ),
            ),
            array(
                'name' => esc_html__( 'Order Type', 'bianco' ),
                'desc' => esc_html__( 'You can choose an order type for the blog list.', 'bianco' ),
                'id' => 'blog-list-order-type',
                'type' => 'select_advanced',
                'std' => 'added-date',
                'options' => array(
                    'added-date' => esc_html__( 'Added Date', 'bianco' ),
                    'popular-comment' => esc_html__( 'Popular by Comment', 'bianco' ),
                    'id' => esc_html__( 'ID', 'bianco' ),
                    'title' => esc_html__( 'Title', 'bianco' ),
                    'menu_order' => esc_html__( 'Menu Order', 'bianco' ),
                    'rand' => esc_html__( 'Random', 'bianco' ),
                    'none' => esc_html__( 'None', 'bianco' ),
                ),
                'visible' => array( 'blog-list-status', '=', '1' ),
            ),
            array(
                'name' => esc_html__( 'Post Pagination', 'bianco' ),
                'desc' => esc_html__( 'You can hide the post pagination from the blog list.', 'bianco' ),
                'id' => 'blog-list-post-pagination',
                'type' => 'switch',
                'std' => 0,
                'visible' => array( 'blog-list-status', '=', '1' ),
            ),
            array(
                'name' => esc_html__( 'Slider', 'bianco' ),
                'desc' => esc_html__( 'You can create a slider for this page.', 'bianco' ),
                'id' => 'slider-status',
                'type' => 'switch',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Slider Pagination', 'bianco' ),
                'desc' => esc_html__( 'You can hide the pagination from the slider.', 'bianco' ),
                'id' => 'slider-pagination',
                'type' => 'switch',
                'std' => 0,
                'visible' => array( 'slider-status', '=', '1' ),
            ),
            array(
                'name' => esc_html__( 'Slider Navigation', 'bianco' ),
                'desc' => esc_html__( 'You can hide the navigation from the slider.', 'bianco' ),
                'id' => 'slider-navigation',
                'type' => 'switch',
                'std' => 0,
                'visible' => array( 'slider-status', '=', '1' ),
            ),
            array(
                'name' => esc_html__( 'Categories', 'bianco' ),
                'desc' => esc_html__( 'You can choose categories for slider. If you want to show all categories do not choose any categories.', 'bianco' ),
                'id' => 'slider-categories',
                'type' => 'taxonomy_advanced',
                'field_type' => 'select_advanced',
                'taxonomy' => 'category',
                'multiple' => true,
                'visible' => array( 'slider-status', '=', '1' ),
            ),
            array(
                'name' => esc_html__( 'Post Count', 'bianco' ),
                'desc' => esc_html__( 'You can enter a post count for the slider.', 'bianco' ),
                'id' => 'slider-post-count',
                'type' => 'text',
                'visible' => array( 'slider-status', '=', '1' ),
            ),
            array(
                'name' => esc_html__( 'Exclude Posts', 'bianco' ),
                'desc' => esc_html__( 'You can enter post ids to be excluded for the slider. Separate with commas 1,2,3 etc.', 'bianco' ),
                'id' => 'slider-exclude-posts',
                'type' => 'text',
                'visible' => array( 'slider-status', '=', '1' ),
            ),
            array(
                'name' => esc_html__( 'Include Posts', 'bianco' ),
                'desc' => esc_html__( 'You can enter post ids to be include for the slider. Separate with commas 1,2,3 etc.', 'bianco' ),
                'id' => 'slider-include-posts',
                'type' => 'text',
                'visible' => array( 'slider-status', '=', '1' ),
            ),
            array(
                'name' => esc_html__( 'Tag', 'bianco' ),
                'desc' => esc_html__( 'You can enter a tag for the slider. If you want to show all tags do not choose any tags.', 'bianco' ),
                'id' => 'slider-tag',
                'type' => 'taxonomy_advanced',
                'field_type' => 'select_advanced',
                'taxonomy' => 'post_tag',
                'multiple' => true,
                'visible' => array( 'slider-status', '=', '1' ),
            ),
            array(
                'name' => esc_html__( 'Order', 'bianco' ),
                'desc' => esc_html__( 'You can choose an order for the slider.', 'bianco' ),
                'id' => 'slider-order',
                'type' => 'select_advanced',
                'std' => 'DESC',
                'options' => array(
                    'DESC' => esc_html__( 'DESC', 'bianco' ),
                    'ASC' => esc_html__( 'ASC', 'bianco' ),
                ),
                'visible' => array( 'slider-status', '=', '1' ),
            ),
            array(
                'name' => esc_html__( 'Order Type', 'bianco' ),
                'desc' => esc_html__( 'You can choose an order type for the slider.', 'bianco' ),
                'id' => 'slider-order-type',
                'type' => 'select_advanced',
                'std' => 'added-date',
                'options' => array(
                    'added-date' => esc_html__( 'Added Date', 'bianco' ),
                    'popular-comment' => esc_html__( 'Popular by Comment', 'bianco' ),
                    'id' => esc_html__( 'ID', 'bianco' ),
                    'title' => esc_html__( 'Title', 'bianco' ),
                    'menu_order' => esc_html__( 'Menu Order', 'bianco' ),
                    'rand' => esc_html__( 'Random', 'bianco' ),
                    'none' => esc_html__( 'None', 'bianco' ),
                ),
                'visible' => array( 'slider-status', '=', '1' ),
            ),
        )
    );



    return $meta_boxes;
}
add_filter( 'rwmb_meta_boxes', 'bianco_meta_boxes' );