<?php

/*======
*
* Latest Posts Widget
*
======*/
	function bianco_latest_posts_register_widgets() {
		register_widget( 'bianco_blog_widget' );
	}
	add_action( 'widgets_init', 'bianco_latest_posts_register_widgets' );

	class bianco_blog_widget extends WP_Widget {
		function __construct() {
			parent::__construct(
		            'bianco_blog_widget',
	        	    esc_html__( 'Bianco: Latest Posts Widget', 'bianco' ),
	 	           array( 'description' => esc_html__( 'Latest posts widget.', 'bianco' ), )
			);
		}
		
		function widget( $args, $instance ) {
			echo $args['before_widget'];

				$blog_widget_title = esc_attr( $instance['blog_widget_title'] );
				if ( !empty( $instance['blog_widget_title'] ) ) {
					echo '<div class="gt-widget--heading"><div class="gt-widget--icon"><i class="fas fa-genderless"></i></div><div class="gt-widget--title">'. esc_attr( $blog_widget_title ) .'</div></div>';
				}

				if( $instance) {
					$blog_widget_title = esc_attr( $instance['blog_widget_title'] );
					$blog_widget_category = esc_attr( $instance['blog_widget_category'] );
					$blog_widget_exclude = esc_attr( $instance['blog_widget_exclude'] );
					$blog_widget_offset = esc_attr( $instance['blog_widget_offset'] );
					$blog_widget_post_count = esc_attr( $instance['blog_widget_post_count'] );
				}
				
				/*------------- Exclude Start -------------*/
				if( !empty( $blog_widget_exclude ) ) :
					$blog_widget_exclude = $blog_widget_exclude;
					$blog_widget_exclude = explode( ',', $blog_widget_exclude );
				else:
					$blog_widget_exclude = "";
				endif;
				/*------------- Exclude End -------------*/
				?>
						<?php
							$args_latest_posts = array(
								'posts_per_page' => $blog_widget_post_count,
								'post_status' => 'publish',
								'post__not_in' => $blog_widget_exclude,
								'offset' => $blog_widget_offset,
								'ignore_sticky_posts'    => true,
								'post_type' => 'post',
								'cat' => $blog_widget_category
							); 
							$wp_query = new WP_Query($args_latest_posts);
							if( $wp_query->have_posts() ) {
								echo '<div class="gt-blog-widget">';
									echo '<ul>';
										while ( $wp_query->have_posts() ) {
											$wp_query->the_post();
											echo '<li>';
												if ( has_post_thumbnail() ) {
													echo '<div class="gt-image">';
														the_post_thumbnail( 'thumbnail' );
													echo '</div>';
												}

												echo '<div class="gt-content">';
													echo '<h2><a href="' . get_the_permalink() . '" title="' . the_title_attribute( array( 'echo' => 0 ) ) . '">' . get_the_title() . '</a></h2>';
													echo '<span><i class="far fa-calendar-alt"></i> ' . get_the_time( get_option( 'date_format' ) ) . '</span>';
												echo '</div>';
											echo '</li>';
										}
									echo '</ul>';
								echo '</div>';
							}
							wp_reset_postdata();
						?>

			<?php echo $args['after_widget'];
		}

		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;
			$instance['blog_widget_title'] = esc_attr( $new_instance['blog_widget_title'] );
			$instance['blog_widget_category'] = esc_attr( $new_instance['blog_widget_category'] );
			$instance['blog_widget_exclude'] = esc_attr( $new_instance['blog_widget_exclude'] );
			$instance['blog_widget_offset'] = esc_attr( $new_instance['blog_widget_offset'] );
			$instance['blog_widget_post_count'] = esc_attr( $new_instance['blog_widget_post_count'] );

			return $instance;
		}

		function form($instance) {

			$blog_widget_title = '';
			$blog_widget_category = '';
			$blog_widget_exclude = '';
			$blog_widget_offset = '';
			$blog_widget_post_count = '';

			if( $instance) {
				$blog_widget_title = esc_attr( $instance['blog_widget_title'] );
				$blog_widget_category = esc_attr( $instance['blog_widget_category'] );
				$blog_widget_exclude = esc_attr( $instance['blog_widget_exclude'] );
				$blog_widget_offset = esc_attr( $instance['blog_widget_offset'] );
				$blog_widget_post_count = esc_attr( $instance['blog_widget_post_count'] );
			} ?>
			 
			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'blog_widget_title' ) ); ?>"><?php esc_html_e( 'Title:', 'bianco' ); ?></label>
				<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'blog_widget_title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'blog_widget_title' ) ); ?>" type="text" value="<?php echo esc_attr( $blog_widget_title ); ?>" />
			</p>

			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'blog_widget_post_count' ) ); ?>"><?php esc_html_e( 'Post Count:', 'bianco' ); ?></label>
				<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'blog_widget_post_count' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'blog_widget_post_count' ) ); ?>" type="text" value="<?php echo esc_attr( $blog_widget_post_count ); ?>" />
			</p>

			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'blog_widget_category' ) ); ?>"><?php esc_html_e( 'Category:', 'bianco' ); ?></label>
				<select name="<?php echo esc_attr( $this->get_field_name('blog_widget_category') ); ?>" id="<?php echo esc_attr( $this->get_field_id('blog_widget_category') ); ?>" class="widefat"> 
					<option value=""><?php echo esc_html__( 'All Categories', 'bianco' ); ?></option>
					<?php
					 $categories =  get_categories('child_of=0'); 
					 foreach ($categories as $category) {
						$category_select_control = '';
						if ( $blog_widget_category == $category->cat_ID )
						{
							$category_select_control = "selected";
						}
						$cat_name = $category->cat_name;
						echo '<option value="' . esc_attr( $category->cat_ID ) . '"' . $category_select_control . '>';
							if( !empty( $cat_name ) ) {
								echo esc_attr( $cat_name );
							}
						echo '</option>';
					 }
					?>
				</select>
			</p>

			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'blog_widget_exclude' ) ); ?>"><?php esc_html_e( 'Exclude Posts:', 'bianco' ); ?></label>
				<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'blog_widget_exclude' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'blog_widget_exclude' ) ); ?>" type="text" value="<?php echo esc_attr( $blog_widget_exclude ); ?>" />
			</p>

			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'blog_widget_offset' ) ); ?>"><?php esc_html_e( 'Offset:', 'bianco' ); ?></label>
				<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'blog_widget_offset' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'blog_widget_offset' ) ); ?>" type="text" value="<?php echo esc_attr( $blog_widget_offset ); ?>" />
			</p>
		<?php }
	}