<?php
/**
	* The template for displaying single
*/
get_header(); ?>

	<?php while ( have_posts() ) : the_post(); ?>
		<?php
			if ( function_exists( 'rwmb_meta' ) ) {
				$featured_header_type = rwmb_meta( 'featured-header-type' );
				$featured_header_background = rwmb_meta( 'featured-header-background' );
				$hide_featured_header = rwmb_meta( 'hide-featured-header' );
				$hide_post_navigation = rwmb_meta( 'hide-post-navigation' );
				$hide_related_posts = rwmb_meta( 'hide-related-posts' );
				$hide_author_info = rwmb_meta( 'hide-author-info' );
				$hide_social_share = rwmb_meta( 'hide-social-share' );

				if( !$hide_featured_header == "1" ) {
					echo bianco_page_banner( $title = get_the_title(), $top_text = "", $custom_background = $featured_header_background, $style = $featured_header_type, $post_id = get_the_ID() );
				}
			} else {
				$hide_post_navigation = "0";
				$hide_related_posts = "0";
				$hide_author_info = "0";
				$hide_social_share = "0";

				echo bianco_page_banner( $title = get_the_title(), $top_text = "", $custom_background = "", $style = "style-1", $post_id = get_the_ID() );
			}

			$posts_share = get_theme_mod( 'bianco_posts_social_share', '1' );
			$author_info = get_theme_mod( 'bianco_posts_author_info', '1' );
			$author_info_social_media = get_theme_mod( 'bianco_posts_author_info_social_media', '1' );
			$author_info_posts = get_theme_mod( 'bianco_posts_author_info_posts', '1' );
			$author_info_post_count = get_theme_mod( 'bianco_posts_author_info_posts_count', '3' );

			$author_avatar = get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'wpex_author_bio_avatar_size', 30 ) );
			$author_posts_url = esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) );
			$author_display_name = get_the_author_meta( 'display_name' );
			$author_id = get_the_author_meta( 'ID' );
			$author_description = get_the_author_meta( 'description' );
			$author_post_arg = array(
				'posts_per_page' => $author_info_post_count,
				'post_status' => 'publish',
				'ignore_sticky_posts' => true,
				'author' => $author_id,
			);
			$author_post_wp_query = new WP_Query( $author_post_arg );
		?>

		<?php if ( $posts_share == '1' or $author_info == '1' ) { ?>
			<section class="gt-page-info">
				<div class="container">
					<div class="row justify-content-between">
						<div class="col-12 d-flex align-items-center justify-content-between flex-column flex-md-row">
							<?php if ( $author_info == '1' ) { ?>
								<div class="gt-box">
									<div class="gt-user-box" data-toggle="collapse" href="#gt-page-info-details">
										<?php if ( !empty( $author_avatar ) ) { ?>
											<div class="gt-avatar">
												<a href="<?php echo esc_url( $author_posts_url ); ?>" rel="author">
													<?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'wpex_author_bio_avatar_size', 30 ) ); ?>
												</a>
											</div>
										<?php } ?>
										<div class="gt-title">
											<?php echo esc_html__( 'Written by', 'bianco' ) ?>
											<span><?php echo get_the_author_meta( 'display_name' ); ?></span>
										</div>
										<div class="gt-icon">
											<i class="fas fa-caret-down"></i>
										</div>
									</div>
								</div>
							<?php } ?>

							<?php if ( $posts_share == '1' and !empty( bianco_social_share() ) ) { ?>
								<div class="gt-box">
									<div class="gt-box-share-post">
										<span><?php echo esc_html__( 'Share Post', 'bianco' ) ?></span>
										<?php echo bianco_social_share(); ?>
									</div>
								</div>
							<?php } ?>
						</div>
					</div>
				</div>

				<?php if( !empty( $author_description ) or !empty( bianco_user_social_links( $user_id = $author_id ) ) or $author_post_wp_query->have_posts() or $author_info_posts == "1" or $author_info_social_media == "1" ) { ?>
					<div class="gt-page-info-details collapse" id="gt-page-info-details">
						<div class="container">
							<div class="row justify-content-between">
								<?php if( !empty( $author_description ) or !empty( bianco_user_social_links( $user_id = $author_id ) ) or $author_info_social_media == "1" ) { ?>
									<div class="col-lg-6">
										<?php if( !empty( $author_description ) ) { ?>
											<div class="gt-box">
												<div class="gt-title">
													<i class="fas fa-caret-right"></i>
													<h5><?php echo esc_html__( 'About', 'bianco' ) . ' ' . get_the_author_meta( 'display_name' ); ?></h5></div>
												<div class="gt-content">
													<p><?php echo get_the_author_meta( 'description' ); ?></p>
												</div>
											</div>
										<?php } ?>

										<?php if( !empty( bianco_user_social_links( $user_id = $author_id ) ) and $author_info_social_media == "1" ) { ?>
											<div class="gt-box">
												<div class="gt-title">
													<i class="fas fa-caret-right"></i>
													<h5><?php echo esc_html__( 'Social Links', 'bianco' ); ?></h5>
												</div>
												<div class="gt-content">
													<?php echo bianco_user_social_links( $user_id = $author_id ); ?>
												</div>
											</div>
										<?php } ?>
									</div>
								<?php } ?>

								<?php if( $author_post_wp_query->have_posts() and $author_info_posts == "1" ) { ?>
									<div class="col-lg-6">
										<div class="gt-box">
											<div class="gt-title">
												<i class="fas fa-caret-right"></i>
												<h5><?php echo esc_html__( 'Other Posts of', 'bianco' ) . ' ' . get_the_author_meta( 'display_name' ); ?></h5>
											</div>
											<div class="gt-content">
												<ul class="gt-user-posts">
													<?php
														while ( $author_post_wp_query->have_posts() ) {
															$author_post_wp_query->the_post();
															echo '<li><a href="' . get_the_permalink() . '">' . get_the_title() . '</a></li>';
														}
													?>
												</ul>
												<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>" class="gt-btn gt-btn-dark"><?php echo esc_html__( 'All Posts of', 'bianco' ) . ' ' . get_the_author_meta( 'display_name' ); ?></a>
											</div>
										</div>
									</div>
								<?php } ?>
								<?php wp_reset_postdata(); ?>
							</div>
						</div>
					</div>
				<?php } ?>
			</section>
		<?php } ?>

		<section class="gt-section-spacing">
			<?php bianco_container_before( $extra_class = "main-container" ); ?>
				<?php bianco_row_before( $extra_class = "main-row justify-content-center" ); ?>
					<?php bianco_content_before(); ?>
						<?php get_template_part( 'include/formats/content', get_post_format() ); ?>

						<?php
							wp_link_pages(
								array(
									'before' => '<div class="post-pages"><div class="title">' . esc_html__( 'Pages', 'bianco' ) . ':</div>',
									'after' => '</div>',
									'link_before' => '<span>',
									'link_after' => '</span>',
								)
							);
						?>

						<?php
							$posts_tags = get_theme_mod( 'bianco_posts_tags', '1' );
							if ( $posts_tags == '1' ) {
								the_tags( '<div class="gt-post-tags"><ul><li>', '</li><li>', '</li></ul></div>' ); 
							}
						?>

						<?php
							$posts_comments = get_theme_mod( 'bianco_posts_comments', '1' );
							if ( $posts_comments == '1' ) {
								if ( comments_open() || get_comments_number() ) {
									comments_template();
								}
							}
						?>
					<?php bianco_content_after(); ?>
					<?php get_sidebar(); ?>
				<?php bianco_row_after(); ?>
			<?php bianco_container_after(); ?>
		</section>

		<?php
			$related_posts = get_theme_mod( 'bianco_posts_related_posts', '1' );
			if ( $related_posts == '1' ) {
				echo bianco_related_posts( $post = get_the_ID() );
			}

			$post_navigation = get_theme_mod( 'bianco_posts_post_navigation', '1' );
			if ( $post_navigation == '1' ) {
				echo bianco_post_navigation();
			}
		?>
	<?php endwhile; ?>

<?php get_footer();